+ - Новая возможность
- - Исправление ошибки
! - Изменение или исправление, которое может повлиять на работу
    соответствующих подсистем и требует тщательного тестирования

  Сервер 5.2
-----------------------------------------------------------------
--- 5.2.3111r3 --- 04.05.2026
- [303077] port from 3112: Исправлено зависание агента на старте и остановке

--- 5.2.3111r2 --- 29.04.2026
- Защита от зависания телеметрии 

--- 5.2.3111r1 --- 17.04.2026
- [302251] Схемы: Экспорт PDF - NullPointerException при экспорте схемы

--- 5.2.3111rc0 --- 13.04.2026
- [301088] #fsert FB.DLS_DEAD_LOCAL_STORE ext/rhino/src/org/mozilla/javascript/regexp/NativeRegExp.java
- [301227] #fsert Сообщение диагностики: FB.RV_RETURN_VALUE_IGNORED_BAD_PRACTICE ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/AsyncRequestID.java
- [301228] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/AsyncRequestID.java
- [301229] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/AsyncSearchHelper.java
- [301260] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/LDAPConnectionPoolStatistics.java
- [301256] #fsert Сообщение диагностики: FB.WMI_WRONG_MAP_ITERATOR ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/extensions/EndTransactionExtendedResult.java
- [301257] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/extensions/StartTLSExtendedRequest.java
- [301204] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/unboundid-ldapsdk/src/com/unboundid/ldap/listener/CannedResponseRequestHandler.java
- [301205] #fsert Сообщение диагностики: FB.SWL_SLEEP_WITH_LOCK_HELD ext/unboundid-ldapsdk/src/com/unboundid/ldap/listener/InMemoryDirectoryServer.java
- [301207] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/unboundid-ldapsdk/src/com/unboundid/ldap/listener/InMemoryDirectoryServerTool.java
- [301220] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/unboundid-ldapsdk/src/com/unboundid/ldap/listener/ProxyRequestHandler.java
- [301221] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/unboundid-ldapsdk/src/com/unboundid/ldap/listener/ProxySearchResultListener.java
- [301222] #fsert Сообщение диагностики: FB.RV_RETURN_VALUE_IGNORED_BAD_PRACTICE ext/unboundid-ldapsdk/src/com/unboundid/ldap/listener/SelfSignedCertificateGenerator.java
- [301234] #fsert Сообщение диагностики: FB.EQ_DOESNT_OVERRIDE_EQUALS ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/ChangeLogEntry.java
- [301224] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/AsyncCompareHelper.java
- [301225] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/AsyncHelper.java
- [301203] #fsert Сообщение диагностики: FB.NP_BOOLEAN_RETURN_NULL ext/unboundid-ldapsdk/src/com/unboundid/asn1/ASN1StreamReader.java
- [301081] #fsert FB.UUF_UNUSED_FIELD ext/rhino/src/org/mozilla/javascript/optimizer/Block.java
- [301064] #fsert NO_LOCK.STAT.EX ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/thread/Timeout.java
- [301053] #fsert FB.SIC_INNER_SHOULD_BE_STATIC ext/SparseBitSet/src/main/java/com/zaxxer/sparsebits/SparseBitSet.java
- [300952] #fsert FB.MF_CLASS_MASKS_FIELD src/server/agent/java/src/inform/agent/web/reports/controls/ReportTable.java
- [300951] #fsert FB.UWF_NULL_FIELD src/server/agent/java/src/inform/agent/web/reports/controls/ReportCell.java
- [300950] #fsert SIMILAR_BRANCHES src/server/agent/java/src/inform/agent/web/reports/controls/ReportBand.java
- [300949] #fsert FB.INT_BAD_COMPARISON_WITH_NONNEGATIVE_VALUE src/server/agent/java/src/inform/agent/web/reports/controls/ReportBand.java
- [300948] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/web/reports/controls/PageSettings.java
- [300947] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/web/reports/controls/PageNumbers.java
- [300946] #fsert FB.SA_FIELD_DOUBLE_ASSIGNMENT src/server/agent/java/src/inform/agent/web/forms/WebScript.java
- [301044] #fsert NO_LOCK.STAT.EX ext/netty/src/main/java/org/jboss/netty/util/VirtualExecutorService.java
- [298318] #fsert Работа с JWT. Сообщение диагностики: #fsert FB.EQ_DOESNT_OVERRIDE_EQUALS InternCache.java (jackson-core)
- [298317] Работа с JWT: Сообщение диагностики: FB.EQ_COMPARETO_USE_OBJECT_EQUALS POJOPropertyBuilder.java (jackson-databind)
- [301037] #fsert FB.SA_FIELD_SELF_ASSIGNMENT ext/netty/src/main/java/org/jboss/netty/util/internal/jzlib/InfBlocks.java
- [300944] #fsert FB.EQ_DOESNT_OVERRIDE_EQUALS src/server/agent/java/src/inform/agent/web/data/Datamodel.java
- [300943] #fsert FB.HE_EQUALS_NO_HASHCODE src/server/agent/java/src/inform/agent/VersionInfo.java
- [298394] #fsert Работа с JWT: Сообщение диагностики: FB.SE_BAD_FIELD ObjectReader.java (jackson-databind)
- [300938] #fsert FB.EQ_COMPARETO_USE_OBJECT_EQUALS src/server/agent/java/src/inform/agent/scripts/stat/ProfileItem.java
- [301072] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/rhino/src/org/mozilla/javascript/NativeJavaMap.java 
- [301074] #fsert Сообщение диагностики: NO_LOCK.STAT.EX ext/rhino/src/org/mozilla/javascript/LazilyLoadedCtor.java
- [301075] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/rhino/src/org/mozilla/javascript/NativeJavaObject.java
- [301077] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/rhino/src/org/mozilla/javascript/NativePromise.java
- [300936] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/scripts/sql/Query.java
- [300934] #fsert SIMILAR_BRANCHES src/server/agent/java/src/inform/agent/scripts/sql/expr/cnd/QueryValueEvaluator.java
- [300933] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/scripts/sql/DirectoryQueryNode.java
- [298389] #fsert Работа с JWT: Сообщение диагностики: FB.SE_BAD_FIELD AnnotatedConstructor.java (jackson-databind)
- [301132] #fsert Исправление предыдущего фикса JWT сериализация JSON. Сообщение диагностики: FB.SE_BAD_FIELD JsonFormat.java (jackson-annotations)
- [301005] #fsert Сообщение диагностики: FB.EQ_OVERRIDING_EQUALS_NOT_SYMMETRIC ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/resource/FileResource.java
- [301006] #fsert Сообщение диагностики: FB.EQ_DOESNT_OVERRIDE_EQUALS ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/resource/JarFileResource.java
- [301007] #fsert Сообщение диагностики: NO_LOCK.STAT.EX ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/resource/JarFileResource.java
- [301008] #fsert Сообщение диагностики: FB.EQ_DOESNT_OVERRIDE_EQUALS ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/resource/JarResource.java
- [301009] #fsert Сообщение диагностики: FB.RV_RETURN_VALUE_IGNORED_BAD_PRACTICE ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/resource/JarResource.java
- [300999] #fsert Сообщение диагностики: FB.LI_LAZY_INIT_UPDATE_STATIC ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/log/Log.java
- [301000] #fsert Сообщение диагностики: FB.IA_AMBIGUOUS_INVOCATION_OF_INHERITED_OR_OUTER_METHOD ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/MultiMap.java
- [301001] #fsert Сообщение диагностики: FB.WMI_WRONG_MAP_ITERATOR ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/MultiMap.java
- [301002] #fsert Сообщение диагностики: FB.RV_RETURN_VALUE_IGNORED_BAD_PRACTICE ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/MultiPartInputStream.java
- [301003] #fsert Сообщение диагностики: SIMILAR_BRANCHES ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/MultiPartInputStream.java
- [301004] #fsert Сообщение диагностики: FB.EQ_DOESNT_OVERRIDE_EQUALS ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/resource/BadResource.java
- [300928] #fsert FB.SIC_INNER_SHOULD_BE_STATIC src/server/agent/java/src/inform/agent/scripts/server/ServerConnection.java
- [300927] #fsert FB.DLS_DEAD_LOCAL_STORE_SHADOWS_FIELD src/server/agent/java/src/inform/agent/scripts/server/ServerConnection.java
- [300926] #fsert SIMILAR_BRANCHES src/server/agent/java/src/inform/agent/scripts/ParametersList.java
- [300925] #fsert SIMILAR_BRANCHES src/server/agent/java/src/inform/agent/scripts/Parameter.java
- [300920] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/scripts/metadata/ScriptAccountNode.java
- [300919] #fsert INVARIANT_RESULT src/server/agent/java/src/inform/agent/scripts/License.java
- [300918] #fsert FB.DLS_DEAD_LOCAL_STORE src/server/agent/java/src/inform/agent/scripts/libs/TestInternalsLibrary.java
- [300917] #fsert FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG src/server/agent/java/src/inform/agent/scripts/GenericServerSideExecutable.java
- [300916] #fsert SIMILAR_BRANCHES src/server/agent/java/src/inform/agent/scripts/expr/SSTableValue.java
- [300915] #fsert SIMILAR_BRANCHES src/server/agent/java/src/inform/agent/scripts/expr/SSTableField.java
- [300914] #fsert FB.REC_CATCH_EXCEPTION src/server/agent/java/src/inform/agent/scripts/Datasource.java
- [300913] #fsert FB.DLS_DEAD_LOCAL_STORE_SHADOWS_FIELD src/server/agent/java/src/inform/agent/scripts/Datasource.java
- [300987] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/jetty.project/jetty-servlet/src/main/java/org/eclipse/jetty/servlet/StatisticsServlet.java
- [300988] #fsert Сообщение диагностики: FB.DM_NUMBER_CTOR ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/ajax/JSONPojoConvertor.java
- [300989] #fsert Сообщение диагностики: NO_LOCK.STAT.EX ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/ArrayQueue.java
- [300991] #fsert Сообщение диагностики: INVARIANT_RESULT ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/ByteArrayISO8859Writer.java
- [300992] #fsert Сообщение диагностики: FB.SIC_INNER_SHOULD_BE_STATIC ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/component/AggregateLifeCycle.java
- [300993] #fsert Сообщение диагностики: FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/DateCache.java
- [300994] #fsert Сообщение диагностики: FB.UG_SYNC_SET_UNSYNC_GET ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/DateCache.java
- [300995] #fsert Сообщение диагностики: NO_LOCK.STAT.EX ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/DateCache.java
- [300996] #fsert Сообщение диагностики: FB.RV_RETURN_VALUE_IGNORED_BAD_PRACTICE ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/IO.java
- [300997] #fsert Сообщение диагностики: FB.EQ_DOESNT_OVERRIDE_EQUALS ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/IPAddressMap.java
- [300998] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/IPAddressMap.java
- [300977] #fsert Сообщение диагностики: FB.SIC_INNER_SHOULD_BE_STATIC ext/jetty.project/jetty-servlet/src/main/java/org/eclipse/jetty/servlet/ErrorPageErrorHandler.java
- [300978] #fsert Сообщение диагностики: FB.UG_SYNC_SET_UNSYNC_GET ext/jetty.project/jetty-servlet/src/main/java/org/eclipse/jetty/servlet/FilterHolder.java
- [300979] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/jetty.project/jetty-servlet/src/main/java/org/eclipse/jetty/servlet/Invoker.java
- [300980] #fsert Сообщение диагностики: FB.SIC_INNER_SHOULD_BE_STATIC ext/jetty.project/jetty-servlet/src/main/java/org/eclipse/jetty/servlet/Invoker.java
- [300981] #fsert Сообщение диагностики: FB.RPC_REPEATED_CONDITIONAL_TEST ext/jetty.project/jetty-servlet/src/main/java/org/eclipse/jetty/servlet/ServletHandler.java
- [300982] #fsert Сообщение диагностики: FB.UG_SYNC_SET_UNSYNC_GET ext/jetty.project/jetty-servlet/src/main/java/org/eclipse/jetty/servlet/ServletHandler.java
- [300983] #fsert Сообщение диагностики: NO_LOCK.STAT.EX ext/jetty.project/jetty-servlet/src/main/java/org/eclipse/jetty/servlet/ServletHandler.java
- [300985] #fsert Сообщение диагностики: FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG ext/jetty.project/jetty-servlet/src/main/java/org/eclipse/jetty/servlet/ServletHolder.java
- [300986] #fsert Сообщение диагностики: FB.UG_SYNC_SET_UNSYNC_GET ext/jetty.project/jetty-servlet/src/main/java/org/eclipse/jetty/servlet/ServletHolder.java
- [301108] при формировании списка обнвлений для отката не попадают обновления с каналом в версии
- [300636] #fsert вычисление относительной высоты шрифта в PDF (pdfbox), сообщение диагностики:(FB.ICAST_IDIV_CAST_TO_DOUBLE, PDCIDFontType2.java)
- [293367] Схемы: Импорт ODG - исправлен импорт текста с разделителями
- [300634] #fsert отображение иероглифов в PDF (pdfbox), сообщение диагностики:(FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG, FontMapperImpl.java)
- [300968] #fsert Apache Commons (commons-math). Сообщение диагностики: FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG Combinations.java
- [300960] #fsert Apache Commons (commons-math). Сообщение диагностики: FB.EQ_DOESNT_OVERRIDE_EQUALS PSquarePercentile.java
- [300958] #fsert Apache Commons (commons-math). Сообщение диагностики: NO_LOCK.STAT.EX AggregateSummaryStatistics.java
- [300975] #fsert Apache Commons (commons-math). Сообщение диагностики: NO_LOCK.STAT.EX ResizableDoubleArray.java
- [301032] #fsert Apache POI (poi). Сообщение диагностики: FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG LittleEndian.java
- [301016] #fsert Apache POI (poi). Сообщение диагностики: FB.SF_SWITCH_FALLTHROUGH YearFrac.java
- [301021] #fsert Apache POI (poi). Сообщение диагностики: FB.SF_SWITCH_FALLTHROUGH FinanceFunction.java
- [301023] #fsert Apache POI (poi). Сообщение диагностики: FB.SF_SWITCH_FALLTHROUGH Offset.java
- [301024] #fsert Apache POI (poi). Сообщение диагностики: FB.DLS_DEAD_LOCAL_STORE Sumproduct.java
- [301025] #fsert Apache POI (poi). Сообщение диагностики: FB.DLS_DEAD_LOCAL_STORE TimeValue.java
- [301013] #fsert Apache POI (poi). Сообщение диагностики: FB.URF_UNREAD_FIELD PercentRankExcFunction.java
- [301014] #fsert Apache POI (poi). Сообщение диагностики: FB.URF_UNREAD_FIELD PercentRankIncFunction.java
- [301015] #fsert Apache POI (poi). Сообщение диагностики: FB.URF_UNREAD_FIELD TextJoinFunction.java
- [301011] #fsert Apache POI (poi). Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE Insets2D.java
- [300966] #fsert Apache POI (poi). Сообщение диагностики: FB.EQ_COMPARETO_USE_OBJECT_EQUALS NaturalRanking.java
- [300954] #fsert Apache POI (poi). Сообщение диагностики: FB.ICAST_IDIV_CAST_TO_DOUBLE BesselJ.java
- [301200] #fsert LDAP. Сообщение диагностики: FB.RV_RETURN_VALUE_IGNORED_BAD_PRACTICE GenerateMessages.java  
- [301217] #fsert LDAP. Сообщение диагностики: FB.DLS_DEAD_LOCAL_STORE LDAPListener.java
- [301273] #fsert LDAP. Сообщение диагностики: FB.DM_BOXED_PRIMITIVE_FOR_PARSING DefaultObjectEncoder.java
- [301175] #fsert Apache POI (poi-scratchpad). Сообщение диагностики: FB.URF_UNREAD_FIELD HMEFMessage.java
- [301193] #fsert Apache POI (poi-scratchpad). Сообщение диагностики: FB.DLS_DEAD_LOCAL_STORE OldFontTable.java
- [301194] #fsert Apache POI (poi-scratchpad). Сообщение диагностики: FB.EQ_OVERRIDING_EQUALS_NOT_SYMMETRIC OldTextPiece.java
- [301195] #fsert Apache POI (poi-scratchpad). Сообщение диагностики: FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG PlexOfCps.java
- [301184] #fsert Apache POI (poi-scratchpad). Сообщение диагностики: FB.URF_UNREAD_FIELD HwmfEscape.java
- [301185] #fsert Apache POI (poi-scratchpad). Сообщение диагностики: FB.UUF_UNUSED_PUBLIC_OR_PROTECTED_FIELD HwmfFont.java
- [301188] #fsert Apache POI (poi-scratchpad). Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE HwmfPicture.java

--- 5.2.3111beta3 --- 07.04.2026
- [295229] Схемы: Экспорт VSDX - поддержка экспорта свойства "Добавлять значки к" из параметров страницы
- [300664] #fsert шифрование PDF (pdfbox), сообщение диагностики:(FB.DMI_RANDOM_USED_ONLY_ONCE, StandardSecurityHandler.java)
- [300663] #fsert использование управляющих символов ASCII (pdfbox), сообщение диагностики:(INVARIANT_RESULT, SaslPrep.java)
- [300801] #fsert Сообщение диагностики: NO_LOCK.STAT.EX ext/poi/poi/src/main/java/org/apache/poi/poifs/filesystem/DocumentInputStream.java
- [300802] #fsert Сообщение диагностики: SIMILAR_BRANCHES ext/poi/poi/src/main/java/org/apache/poi/poifs/filesystem/DocumentInputStream.java
- [300660] #fsert выделение дополнительной памяти для PDF (pdfbox), сообщение диагностики:(FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG, ScratchFile.java)
- [298375] #fsert JWT сериализация JSON. Сообщение диагностики: FB.SE_BAD_FIELD JsonFormat.java (jackson-annotations)
- [300670] #fsert Apache POI (poi-ooxml). Сообщение диагностики: FB.DLS_DEAD_LOCAL_STORE XSSFBRichStr.java
- [300783] #fsert Apache POI (poi). Сообщение диагностики: FB.URF_UNREAD_FIELD EscherColorRef.java
- [300676] #fsert Apache POI (poi-ooxml). Сообщение диагностики: FB.DLS_DEAD_LOCAL_STORE XSSFBEventBasedExcelExtractor.java
- [300272] #fsert Apache POI (commons-math). Сообщение диагностики: DYNAMIC_OVERFLOW EmbeddedRungeKuttaIntegrator.java
- [300780] #fsert FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG ext/poi/poi-scratchpad/src/main/java/org/apache/poi/hemf/record/emfplus/HemfPlusPen.java
- [299480] v6 dsl Создан прототип объектного представления узла Узел запуска
- [299482] v6 dsl Объектное представление свойств Узла запуска

--- 5.2.3111beta2 --- 06.04.2026
- [300650] #fsert сопоставление шрифтов и начертаний в PDF (pdfbox), сообщение диагностики:(FB.DLS_DEAD_LOCAL_STORE, CmapSubtable.java)
- [300646] #fsert нормализация смещения часового пояса в PDF (pdfbox), сообщение диагностики:(FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG, DateConverter.java)
- [300643] #fsert отсечения при рисовании PDF-страницы (pdfbox), сообщение диагностики:(FB.UCF_USELESS_CONTROL_FLOW_NEXT_LINE, PageDrawer.java)
- [300768] #fsert FB.UWF_NULL_FIELD src/server/agent/java/src/inform/agent/sched/Sched.java
- [300767] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/sched/Job.java
- [300766] #fsert FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG src/server/agent/java/src/inform/agent/sched/Job.java
- [300765] #fsert FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG src/server/agent/java/src/inform/agent/RequestDuration.java
- [300764] #fsert SIMILAR_BRANCHES src/server/agent/java/src/inform/agent/Request.java
- [300641] #fsert отрисовка рамок в PDF (pdfbox), сообщение диагностики:(FB.URF_UNREAD_FIELD, AnnotationBorder.java)
- [300763] #fsert FB.DLS_DEAD_LOCAL_STORE src/server/agent/java/src/inform/agent/Request.java
- [300762] #fsert FB.DLS_DEAD_LOCAL_STORE src/server/agent/java/src/inform/agent/web/reports/controls/WebControlContainer.java
- [300760] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/web/reports/document/DocRow.java
- [300758] #fsert FB.DM_BOXED_PRIMITIVE_FOR_PARSING src/server/agent/java/src/inform/agent/web/rq/GetDistinctValues.java
- [300756] #fsert FB.DLS_DEAD_LOCAL_STORE src/server/agent/java/src/inform/agent/web/WasmLoginServlet.java
- [300749] #fsert возврат изменений 300539 (netty ByteBufferUtil.java)
- [300524] #fsert передача частей SPDY сообщения (netty), сообщение диагностики:(FB.SIC_INNER_SHOULD_BE_STATIC, SpdyHttpEncoder.java)
+ [281506] передавать в клиент wasm тип мобильной платформы
- [300523] #fsert превращение сетевого потока байтов в Java-объект (netty), сообщение диагностики:(FB.SF_SWITCH_FALLTHROUGH, CompatibleObjectDecoder.java)
- [300522] #fsert декодирование RTSP ответа (netty), сообщение диагностики:(FB.DM_BOXED_PRIMITIVE_FOR_PARSING, RtspResponseDecoder.java)
- [300772] #fsert FB.DLS_DEAD_LOCAL_STORE ext/poi/poi-scratchpad/src/main/java/org/apache/poi/hemf/record/emfplus/HemfPlusDraw.java
- [300795] #fsert Apache POI (poi). Сообщение диагностики: FB.EQ_DOESNT_OVERRIDE_EQUALS HSSFPalette.java
- [300797] #fsert Apache POI (poi). Сообщение диагностики: FB.SF_SWITCH_FALLTHROUGH HSSFWorkbook.java
- [300789] #fsert Apache POI (poi). Сообщение диагностики: FB.SF_SWITCH_FALLTHROUGH HSSFCell.java
- [300791] #fsert Apache POI (poi). Сообщение диагностики: FB.URF_UNREAD_FIELD HSSFChart.java
- [300782] #fsert Apache POI (poi). Сообщение диагностики: FB.EQ_DOESNT_OVERRIDE_EQUALS EscherArrayProperty.java
- [300785] #fsert Apache POI (poi). Сообщение диагностики: FB.URF_UNREAD_FIELD Decimal.java
- [300788] #fsert Apache POI (poi). Сообщение диагностики: FB.DLS_DEAD_LOCAL_STORE HSSFRowColShifter.java
- [300784] #fsert Apache POI (poi). Сообщение диагностики: FB.EQ_OVERRIDING_EQUALS_NOT_SYMMETRIC CustomProperty.java
- [300773] #fsert FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG ext/poi/poi-scratchpad/src/main/java/org/apache/poi/hemf/record/emfplus/HemfPlusFont.java
- [300774] #fsert FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG ext/poi/poi-scratchpad/src/main/java/org/apache/poi/hemf/record/emfplus/HemfPlusImage.java
- [300771] #fsert FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG ext/poi/poi-scratchpad/src/main/java/org/apache/poi/hemf/record/emfplus/HemfPlusBrush.java
- [300778] #fsert FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG ext/poi/poi-scratchpad/src/main/java/org/apache/poi/hemf/record/emfplus/HemfPlusPath.java

--- 5.2.3111beta1 --- 03.04.2026
- [300520] #fsert отправка рукопожатия по протоколу WebSocket13 (netty), сообщение диагностики:(FB.WMI_WRONG_MAP_ITERATOR , WebSocketClientHandshaker13.java)
- [300519] #fsert отправка рукопожатия по протоколу WebSocket08 (netty), сообщение диагностики:(FB.WMI_WRONG_MAP_ITERATOR , WebSocketClientHandshaker08.java)
- [300518] #fsert отправка рукопожатия по протоколу WebSocket00 (netty), сообщение диагностики:(FB.WMI_WRONG_MAP_ITERATOR , WebSocketClientHandshaker00.java)
- [300702] #fsert Сообщение диагностики: #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE ext/rhino/src/org/mozilla/javascript/CompilerEnvirons.java
- [300703] #fsert Сообщение диагностики: #fsert FB.ST_WRITE_TO_STATIC_FROM_INSTANCE_METHOD ext/rhino/src/org/mozilla/javascript/ContextFactory.java
- [300704] #fsert Сообщение диагностики: #fsert NO_LOCK.STAT.EX ext/rhino/src/org/mozilla/javascript/ContextFactory.java
- [300707] #fsert Сообщение диагностики: #fsert FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG ext/rhino/src/org/mozilla/javascript/DToA.java
- [300709] #fsert Сообщение диагностики: #fsert SIMILAR_BRANCHES ext/rhino/src/org/mozilla/javascript/EqualObjectGraphs.java
- [300710] #fsert Сообщение диагностики: #fsert SIMILAR_BRANCHES ext/rhino/src/org/mozilla/javascript/Hashtable.java
- [300711] #fsert Сообщение диагностики: #fsert SIMILAR_BRANCHES ext/rhino/src/org/mozilla/javascript/IdFunctionObjectES6.java
- [300712] #fsert Сообщение диагностики: #fsert FB.SE_BAD_FIELD ext/rhino/src/org/mozilla/javascript/InterpretedFunction.java
- [300514] #fsert генерация HTTP ответов (netty), сообщение диагностики:(FB.DM_BOXED_PRIMITIVE_FOR_PARSING, HttpResponseDecoder.java)
- [300332] #fsert NULL_AFTER_DEREF ext/jetty.project/jetty-servlet/src/main/java/org/eclipse/jetty/servlet/DefaultServlet.java
- [300331] #fsert FB.SE_BAD_FIELD ext/jetty.project/jetty-servlet/src/main/java/org/eclipse/jetty/servlet/DefaultServlet.java
- [300718] #fsert Сообщение диагностики: FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG ext/rhino/src/org/mozilla/javascript/JavaAdapter.java
- [300694] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/rhino/src/org/mozilla/javascript/ArrowFunction.java
- [300695] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/rhino/src/org/mozilla/javascript/BoundFunction.java
- [300696] #fsert Сообщение диагностики: NO_LOCK.STAT.EX ext/rhino/src/org/mozilla/javascript/ClassCache.java
- [300697] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.STAT ext/rhino/src/org/mozilla/javascript/CodeGenerator.java
- [300699] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/rhino/src/org/mozilla/javascript/commonjs/module/provider/ModuleSource.java
- [300700] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/rhino/src/org/mozilla/javascript/commonjs/module/provider/StrongCachingModuleScriptProvider.java
- [300701] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/rhino/src/org/mozilla/javascript/commonjs/module/provider/UrlModuleSourceProvider.java
- [300510] #fsert выбор алгоритмов сжатия для HTTP ответов (netty), сообщение диагностики:(FB.DM_BOXED_PRIMITIVE_FOR_PARSING, HttpContentCompressor.java)
- [300326] #fsert FB.IA_AMBIGUOUS_INVOCATION_OF_INHERITED_OR_OUTER_METHOD ext/jetty.project/jetty-server/src/main/java/org/eclipse/jetty/server/ShutdownMonitor.java
- [300714] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/rhino/src/org/mozilla/javascript/Interpreter.java
- [300716] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/rhino/src/org/mozilla/javascript/JavaMembers.java
- [300717] #fsert Сообщение диагностики: SIMILAR_BRANCHES ext/rhino/src/org/mozilla/javascript/Interpreter.java
- [298362] #fsert JWT, серилизация массива строк. Сообщение диагностики: #fsert FB.RC_REF_COMPARISON_BAD_PRACTICE_BOOLEAN StringArraySerializer.java (jackson-databind)
- [300277] #fsert Сообщение диагностики: NO_LOCK.STAT.EX ext/jetty.project/jetty-server/src/main/java/org/eclipse/jetty/server/AbstractConnector.java
- [300534] #fsert Сообщение диагностики: FB.DLS_DEAD_LOCAL_STORE ext/netty/src/main/java/org/jboss/netty/handler/traffic/TrafficCounter.java
- [300535] #fsert Сообщение диагностики: FB.IP_PARAMETER_IS_DEAD_BUT_OVERWRITTEN ext/netty/src/main/java/org/jboss/netty/handler/traffic/TrafficCounter.java
- [299972] #fsert Сообщение диагностики: FB.EQ_CHECK_FOR_OPERAND_NOT_COMPATIBLE_WITH_THIS ext/log4j2/log4j-api/src/main/java/org/apache/logging/log4j/spi/DefaultThreadContextStack.java
- [300507] #fsert управление памятью для отладки данных по сети (netty), сообщение диагностики:(FB.SIC_INNER_SHOULD_BE_STATIC, SocketSendBufferPool.java)
- [300544] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE ext/netty/src/main/java/org/jboss/netty/util/internal/jzlib/InfCodes.java 
- [300506] #fsert умное выделение размера буфера (netty), сообщение диагностики:(SIMILAR_BRANCHES, SocketReceiveBufferAllocator.java)
- [300527] #fsert Сообщение диагностики: SIMILAR_BRANCHES ext/netty/src/main/java/org/jboss/netty/handler/ipfilter/CIDR4.java
- [300528] #fsert Сообщение диагностики: FB.EQ_DOESNT_OVERRIDE_EQUALS ext/netty/src/main/java/org/jboss/netty/handler/ipfilter/IpSubnetFilterRule.java
- [300529] #fsert Сообщение диагностики: SIMILAR_BRANCHES ext/netty/src/main/java/org/jboss/netty/handler/ipfilter/IpV4Subnet.java
- [300531] #fsert Сообщение диагностики: FB.EQ_COMPARETO_USE_OBJECT_EQUALS ext/netty/src/main/java/org/jboss/netty/handler/ipfilter/PatternRule.java
- [300538] #fsert Сообщение диагностики: NO_LOCK.STAT.EX ext/netty/src/main/java/org/jboss/netty/util/HashedWheelTimer.java
- [300539] #fsert Сообщение диагностики: FB.REC_CATCH_EXCEPTION ext/netty/src/main/java/org/jboss/netty/util/internal/ByteBufferUtil.java
- [300545] #fsert Сообщение диагностики: FB.SA_FIELD_SELF_ASSIGNMENT ext/netty/src/main/java/org/jboss/netty/util/internal/jzlib/InfCodes.java
- [300505] #fsert передача трафика через HTTP протокол (netty), сообщение диагностики:(FB.SE_BAD_FIELD, HttpTunnelingServlet.java)
- [300504] #fsert обработка асинхронного кода для группы каналов (netty), сообщение диагностики:(SIMILAR_BRANCHES, DefaultChannelGroupFuture.java)
- [300502] #fsert обработка асинхронного кода (netty), сообщение диагностики:(SIMILAR_BRANCHES, DefaultChannelFuture.java)
- [300500] #fsert выделение памяти для буфера (netty), сообщение диагностики:(SIMILAR_BRANCHES, DirectChannelBufferFactory.java)
- [300499] #fsert конвертация объектов SOAP в XML (metro-saaj), сообщение диагностики:(FB.IT_NO_SUCH_ELEMENT, SaajStaxWriterEx.java)
- [300498] #fsert проверка установки FastInfoset (metro-saaj), сообщение диагностики:(FB.REC_CATCH_EXCEPTION, FastInfosetReflection.java)
- [300281] #fsert Сообщение диагностики: FB.WMI_WRONG_MAP_ITERATOR ext/jetty.project/jetty-server/src/main/java/org/eclipse/jetty/server/handler/IPAccessHandler.java
- [300288] #fsert Сообщение диагностики: FB.IA_AMBIGUOUS_INVOCATION_OF_INHERITED_OR_OUTER_METHOD ext/jetty.project/jetty-server/src/main/java/org/eclipse/jetty/server/nio/BlockingChannelConnector.java
- [300290] #fsert Сообщение диагностики: FB.DM_NUMBER_CTOR ext/jetty.project/jetty-server/src/main/java/org/eclipse/jetty/server/Response.java
- [300293] #fsert Сообщение диагностики: FB.UG_SYNC_SET_UNSYNC_GET ext/jetty.project/jetty-server/src/main/java/org/eclipse/jetty/server/session/AbstractSessionIdManager.java
- [300296] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE ext/jetty.project/jetty-server/src/main/java/org/eclipse/jetty/server/session/AbstractSessionManager.java
- [300299] #fsert Сообщение диагностики: FB.RV_RETURN_VALUE_IGNORED_BAD_PRACTICE ext/jetty.project/jetty-server/src/main/java/org/eclipse/jetty/server/session/HashedSession.java
- [300307] #fsert Сообщение диагностики: FB.RV_RETURN_VALUE_IGNORED_BAD_PRACTICE ext/jetty.project/jetty-server/src/main/java/org/eclipse/jetty/server/session/HashedSession.java
- [300526] #fsert Сообщение диагностики: FB.INT_BAD_COMPARISON_WITH_SIGNED_BYTE ext/netty/src/main/java/org/jboss/netty/handler/ipfilter/CIDR.java
- [300497] #fsert создания имён XML-элементов в протоколе SOAP 1.2 (metro-saaj), сообщение диагностики:(WRONG_ARGUMENTS_ORDER, NameImpl.java)
- [300496] #fsert создание SOAP заголовка (metro-saaj), сообщение диагностики:(FB.URF_UNREAD_FIELD, HeaderElementImpl.java)
- [300319] #fsert NO_LOCK.STAT.EX ext/jetty.project/jetty-server/src/main/java/org/eclipse/jetty/server/session/HashSessionManager.java
- [300318] #fsert FB.ST_WRITE_TO_STATIC_FROM_INSTANCE_METHOD ext/jetty.project/jetty-server/src/main/java/org/eclipse/jetty/server/session/HashSessionManager.java
- [300495] #fsert извлечение бинарных данных из вложений SOAP сообщения (metro-saaj), сообщение диагностики:(HANDLE_LEAK.EX, AttachmentPartImpl.java)
- [300317] #fsert FB.SIC_INNER_SHOULD_BE_STATIC ext/jetty.project/jetty-server/src/main/java/org/eclipse/jetty/server/session/HashSessionManager.java
- [300317] #fsert FB.RV_RETURN_VALUE_IGNORED_BAD_PRACTICE ext/jetty.project/jetty-server/src/main/java/org/eclipse/jetty/server/session/HashSessionManager.java
- [300493] #fsert кодирование потока перед отправкой (metro-saaj), сообщение диагностики:(SIMILAR_BRANCHES, MimeUtility.java)
- [299903] #fsert FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/replication/TableMetadata.java
- [299902] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/replication/TableDifferentDataFinder.java
- [299901] #fsert FB.DLS_DEAD_LOCAL_STORE src/server/agent/java/src/inform/agent/replication/TableDifferentDataFinder.java
- [299900] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/replication/TableDataIO.java
- [299899] #fsert FB.RV_RETURN_VALUE_IGNORED_BAD_PRACTICE src/server/agent/java/src/inform/agent/replication/request/ApplyReplica.java
- [299898] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/replication/ReplicationApplyEngine.java
- [299897] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/replication/ReplicationApplyEngine.java
- [299896] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/replication/Replication.java
- [299893] #fsert FB.EQ_DOESNT_OVERRIDE_EQUALS src/server/agent/java/src/inform/agent/replication/Replication.java
- [299892] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/replication/DataReplicationApplyEngine.java
- [299891] #fsert FB.SF_SWITCH_FALLTHROUGH src/server/agent/java/src/inform/agent/net/request/GetServerInfo.java
+ [297456] Пакет Crypto: N54037 - добавлена js-функция "decryptEnvelopedData" для расшифровки сообщения формата Enveloped CMS
- [300491] #fsert сериализация данных для отправки (metro-saaj), сообщение диагностики:(SIMILAR_BRANCHES, MimeBodyPart.java)
- [299890] #fsert HANDLE_LEAK src/server/agent/java/src/inform/agent/net/request/GetIcons.java
- [299889] #fsert FB.LI_LAZY_INIT_UPDATE_STATIC src/server/agent/java/src/inform/agent/net/MultiProtocolServerHandler.java
- [299888] #fsert SIMILAR_BRANCHES src/server/agent/java/src/inform/agent/net/LoginProtocol.java
- [299887] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/net/LoginProtocol.java
- [299977] #fsert заполнение конфигурации для Kubernetes (log4j2), сообщение диагностики:(FB.NP_BOOLEAN_RETURN_NULL, PropertiesUtil.java)
- [298470] некорректные оповещения о новых версиях клиента
- [299976] #fsert получение ID процесса (log4j2), сообщение диагностики:(FB.REC_CATCH_EXCEPTION, ProcessIdUtil.java)
- [299975] #fsert загрузка кодировщика Base64 (log4j2), сообщение диагностики:(FB.REC_CATCH_EXCEPTION, Base64Util.java)
- [299886] #fsert FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/net/ClientLoginInfo.java
- [299969] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/log4j2/log4j-api/src/main/java/org/apache/logging/log4j/message/ThreadDumpMessage.java
- [299970] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/log4j2/log4j-api/src/main/java/org/apache/logging/log4j/simple/SimpleLogger.java
- [299971] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/log4j2/log4j-api/src/main/java/org/apache/logging/log4j/spi/DefaultThreadContextMap.java
- [299978] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/log4j2/log4j-api/src/main/java/org/apache/logging/log4j/util/Timer.java
- [299979] #fsert Сообщение диагностики: FB.SE_BAD_FIELD_STORE ext/log4j2/log4j-api/src/main/java/org/apache/logging/log4j/util/Timer.java
- [299885] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/net/ClientLoginInfo.java
- [299974] #fsert внутреннее логирование библиотеки (log4j2), сообщение диагностики:(FB.SE_BAD_FIELD, StatusLogger.java)
- [299883] #fsert FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG src/server/agent/java/src/inform/agent/net/Client.java
- [299882] #fsert NEGATIVE_CODE_ERROR.EX src/server/agent/java/src/inform/agent/net/AgentConnection.java
- [299973] #fsert выбор внутреннего хранилища для метаданных лога (log4j2), сообщение диагностики:(FB.DLS_DEAD_LOCAL_STORE, ThreadContextMapFactory.java)
- [299880] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/mtd/RolesTable.java
- [299954] #fsert копирование данных из внутреннего буфера в поток вывода (jetty.project), сообщение диагностики:(SIMILAR_BRANCHES, DirectNIOBuffer.java)
- [299957] #fsert Сообщение диагностики: FB.DM_BOXED_PRIMITIVE_FOR_PARSING ext/jetty.project/jetty-security/src/main/java/org/eclipse/jetty/security/authentication/DigestAuthenticator.java
- [299958] #fsert Сообщение диагностики: FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG ext/jetty.project/jetty-security/src/main/java/org/eclipse/jetty/security/authentication/DigestAuthenticator.java
- [299959] #fsert Сообщение диагностики: FB.RC_REF_COMPARISON_BAD_PRACTICE_BOOLEAN ext/jetty.project/jetty-security/src/main/java/org/eclipse/jetty/security/authentication/LoginAuthenticator.java
- [299960] #fsert Сообщение диагностики: FB.RV_ABSOLUTE_VALUE_OF_RANDOM_INT ext/jetty.project/jetty-security/src/main/java/org/eclipse/jetty/security/HashCrossContextPsuedoSession.java
- [299961] #fsert Сообщение диагностики: FB.DM_BOXED_PRIMITIVE_FOR_PARSING ext/jetty.project/jetty-security/src/main/java/org/eclipse/jetty/security/JDBCLoginService.java
- [299962] #fsert Сообщение диагностики: FB.DM_NUMBER_CTOR ext/jetty.project/jetty-security/src/main/java/org/eclipse/jetty/security/JDBCLoginService.java
- [299967] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/log4j2/log4j-api/src/main/java/org/apache/logging/log4j/message/DefaultFlowMessageFactory.java
- [299879] #fsert FB.DLS_DEAD_LOCAL_STORE src/server/agent/java/src/inform/agent/mtd/request/TemporaryLockUserStatus.java
- [299878] #fsert FB.RV_RETURN_VALUE_IGNORED_BAD_PRACTICE src/server/agent/java/src/inform/agent/mtd/request/ConversionService.java
- [299953] #fsert быстрое чтение файла в оперативную память (jetty.project), сообщение диагностики:(HANDLE_LEAK, DirectNIOBuffer.java)
- [299877] #fsert FB.DLS_DEAD_LOCAL_STORE src/server/agent/java/src/inform/agent/mtd/request/ConversionService.java
- [299876] #fsert FB.UWF_NULL_FIELD src/server/agent/java/src/inform/agent/mtd/request/CheckAuthentication.java
- [299875] #fsert FB.DLS_DEAD_LOCAL_STORE src/server/agent/java/src/inform/agent/mtd/obj/search/DSearchRootFields.java
- [299906] #fsert Сообщение диагностики: NO_LOCK.STAT.EX ext/commons-io/src/main/java/org/apache/commons/io/input/NullInputStream.java
- [299907] #fsert Сообщение диагностики: NO_LOCK.STAT.EX ext/commons-io/src/main/java/org/apache/commons/io/input/NullReader.java
- [299910] #fsert Сообщение диагностики: FB.REC_CATCH_EXCEPTION ext/commons-compress/src/main/java/org/apache/commons/compress/archivers/ArchiveStreamFactory.java
- [299913] #fsert Сообщение диагностики: FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG ext/commons-compress/src/main/java/org/apache/commons/compress/archivers/sevenz/SevenZFile.java
- [299914] #fsert Сообщение диагностики: FB.URF_UNREAD_FIELD ext/commons-compress/src/main/java/org/apache/commons/compress/archivers/zip/X0017_StrongEncryptionHeader.java
- [299917] #fsert Сообщение диагностики: FB.INT_VACUOUS_BIT_OPERATION ext/commons-compress/src/main/java/org/apache/commons/compress/compressors/bzip2/BZip2CompressorOutputStream.java
- [299919] #fsert Сообщение диагностики: NO_LOCK.STAT.EX ext/commons-compress/src/main/java/org/apache/commons/compress/compressors/pack200/AbstractStreamBridge.java
- [299955] #fsert Сообщение диагностики: FB.EQ_DOESNT_OVERRIDE_EQUALS ext/jetty.project/jetty-io/src/main/java/org/eclipse/jetty/io/nio/IndirectNIOBuffer.java
- [299956] #fsert Сообщение диагностики: FB.HE_EQUALS_NO_HASHCODE ext/jetty.project/jetty-io/src/main/java/org/eclipse/jetty/io/View.java
- [299874] #fsert FB.SIC_INNER_SHOULD_BE_STATIC src/server/agent/java/src/inform/agent/mtd/obj/search/DSearchOracleOptions.java
- [299873] #fsert FB.DLS_DEAD_LOCAL_STORE src/server/agent/java/src/inform/agent/mtd/obj/search/DSearchFieldExpression.java
- [299872] #fsert FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/mtd/obj/search/DSearchFieldBind.java
- [299871] #fsert NULL_AFTER_DEREF src/server/agent/java/src/inform/agent/mtd/obj/search/DSearchDatasourceEntry.java
- [299870] #fsert SIMILAR_BRANCHES src/server/agent/java/src/inform/agent/mtd/obj/search/DSearchCondition.java
- [299869] #fsert FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/mtd/obj/DPropertyDatasource.java
- [299950] #fsert обработка кодов HTTP запросов (jetty.project), сообщение диагностики:(FB.IC_INIT_CIRCULARITY, HttpStatus.java)
- [299868] #fsert FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/mtd/obj/DProperty.java
- [299948] #fsert форматирование даты и времени для HTTP заголовков (jetty.project), сообщение диагностики:(FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG, HttpFields.java)
- [300671] #fsert Apache POI (poi-ooxml). Сообщение диагностики: FB.UUF_UNUSED_FIELD XSSFBSheetHandler.java
- [300677] #fsert Apache POI (poi-ooxml). Сообщение диагностики: INVARIANT_RESULT SheetDataWriter.java
- [300678] #fsert Apache POI (poi-ooxml). Сообщение диагностики: DEREF_OF_NULL.RET.STAT SXSSFSheet.java
- [300668] #fsert Apache POI (poi-ooxml). Сообщение диагностики: FB.URF_UNREAD_FIELD XSSFBCellHeader.java
- [300682] #fsert Apache POI (poi-ooxml). Сообщение диагностики: FB.REC_CATCH_EXCEPTION XSSFBuiltinTableStyle.java
- [300688] #fsert Apache POI (poi-ooxml). Сообщение диагностики: FB.REC_CATCH_EXCEPTION XWPFFooter.java
- [300689] #fsert Apache POI (poi-ooxml). Сообщение диагностики: FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD XWPFLatentStyles.java
- [300690] #fsert Apache POI (poi-ooxml). Сообщение диагностики: FB.URF_UNREAD_FIELD XWPFNumbering.java
- [300669] #fsert Apache POI (poi-ooxml). Сообщение диагностики: FB.EQ_DOESNT_OVERRIDE_EQUALS XSSFBComment.java
- [300249] #fsert Apache Commons (commons-math). Сообщение диагностики: FB.SF_SWITCH_FALLTHROUGH NeuronSquareMesh2D.java 
- [300251] #fsert Apache Commons (commons-math). Сообщение диагностики: DEREF_OF_NULL.CONST AdamsBashforthIntegrator.java
- [300252] #fsert Apache Commons (commons-math). Сообщение диагностики: DEREF_OF_NULL.CONST AdamsMoultonIntegrator.java
- [300221] #fsert Eclipse Angus Mail (angus-mail). Сообщение диагностики: FB.RV_RETURN_VALUE_IGNORED_BAD_PRACTICE TempFile.java
- [300212] #fsert Eclipse Angus Mail (angus-mail). Сообщение диагностики: NO_LOCK.STAT.EX POP3Folder.java
- [300214] #fsert Eclipse Angus Mail (angus-mail). Сообщение диагностики: NO_LOCK.STAT.EX POP3Message.java
- [300215] #fsert Eclipse Angus Mail (angus-mail). Сообщение диагностики: NO_LOCK.STAT.EX POP3Store.java
- [300218] #fsert Eclipse Angus Mail (angus-mail). Сообщение диагностики: NO_LOCK.STAT.EX Protocol.java
- [300203] #fsert Eclipse Angus Mail (angus-mail). Сообщение диагностики: FB.EQ_DOESNT_OVERRIDE_EQUALS FLAGS.java
- [300207] #fsert Eclipse Angus Mail (angus-mail). Сообщение диагностики: FB.REC_CATCH_EXCEPTION MboxStore.java
- [300210] #fsert Eclipse Angus Mail (angus-mail). Сообщение диагностики: FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG RemoteStore.java
- [299934] #fsert Apache Commons (commons-compress). Сообщение диагностики: FB.ES_COMPARING_PARAMETER_STRING_WITH_EQ SegmentConstantPoolArrayCache.java
- [299924] #fsert Apache Commons (commons-compress). Сообщение диагностики: FB.HE_EQUALS_NO_HASHCODE AnnotationDefaultAttribute.java
- [299929] #fsert Apache Commons (commons-compress). Сообщение диагностики: FB.HE_EQUALS_NO_HASHCODE LineNumberTableAttribute.java
- [299926] #fsert Apache Commons (commons-compress). Сообщение диагностики: FB.EQ_DOESNT_OVERRIDE_EQUALS CPMethod.java
- [299937] #fsert Apache Commons (commons-compress). Сообщение диагностики: FB.INT_BAD_COMPARISON_WITH_NONNEGATIVE_VALUE ClassBands.java
- [299937] #fsert Apache Commons (commons-compress). Сообщение диагностики: FB.SA_LOCAL_SELF_ASSIGNMENT NewAttributeBands.java
- [299937] #fsert Apache Commons (commons-compress). Сообщение диагностики: FB.SIC_INNER_SHOULD_BE_STATIC SegmentConstantPoolArrayCache.java
- [299937] #fsert Apache Commons (commons-compress). Сообщение диагностики: FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG SegmentUtils.java
- [299938] #fsert Apache Commons (commons-compress). Сообщение диагностики: FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG TimeUtils.java
- [299921] #fsert Apache Commons (commons-compress). Сообщение диагностики: FB.SF_SWITCH_FALLTHROUGH BcBands.java
- [299920] #fsert Apache Commons (commons-compress). Сообщение диагностики: FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG SnappyCompressorInputStream.java
- [299918] #fsert Apache Commons (commons-compress). Сообщение диагностики: FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG LZWInputStream.java
- [299916] #fsert Apache Commons (commons-compress). Сообщение диагностики: FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG ZipArchiveOutputStream.java 
- [299915] #fsert Apache Commons (commons-compress). Сообщение диагностики: FB.URF_UNREAD_FIELD ZipArchiveInputStream.java
- [299912] #fsert Apache Commons (commons-compress). Сообщение диагностики: FB.SF_SWITCH_FALLTHROUGH BlockLZ4CompressorInputStream.java
- [299904] #fsert Apache Commons (commons-io). Сообщение диагностики: FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG EndianUtils.java  
- [299905] #fsert Apache Commons (commons-io). Сообщение диагностики: FB.IT_NO_SUCH_ELEMENT ZipArchiveInputStream.java
- [299964] #fsert Java HTML Parser (jsoup). Сообщение диагностики: FB.EQ_DOESNT_OVERRIDE_EQUALS ParseErrorList.java
- [299965] #fsert Java HTML Parser (jsoup). Сообщение диагностики: FB.SF_SWITCH_FALLTHROUGH TokeniserState.java
- [299866] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/mtd/obj/DForm.java
- [299864] #fsert FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/mtd/nodes/Node.java
- [299863] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/mtd/nodes/AccountNode.java
- [299862] #fsert FB.RV_RETURN_VALUE_IGNORED_BAD_PRACTICE src/server/agent/java/src/inform/agent/files/BFS.java
- [298158] #fsert API почты (jakarta mail). Сообщение диагностики: FB.EQ_DOESNT_OVERRIDE_EQUALS InternetHeaders.java
- [299933] #fsert Apache Commons (commons-compress). Сообщение диагностики: SIMILAR_BRANCHES NewAttributeBands.java
- [299908] #fsert Apache Commons (commons-io). Сообщение диагностики: SIMILAR_BRANCHES ReversedLinesFileReader.java
- [299949] #fsert NO_LOCK.STAT.EX ext/jetty.project/jetty-io/src/main/java/org/eclipse/jetty/io/nio/SelectChannelEndPoint.java
- [299947] #fsert обработчик заголовка HTTP ответа (jetty.project), сообщение диагностики:(SIMILAR_BRANCHES, CompressedResponseWrapper.java)
+ [299475] v6 dsl Объектное преставление расчетной таблицы 
- [299946] #fsert внутренний диспетчер состояний HTTP запроса (jetty.project), сообщение диагностики:(FB.SF_SWITCH_FALLTHROUGH, FauxContinuation.java)
- [299944] #fsert загрузка асинхронного движка (jetty.project), сообщение диагностики:(FB.REC_CATCH_EXCEPTION, ContinuationSupport.java)
- [299943] #fsert инициализация jetty фильтра (jetty.project), сообщение диагностики:(FB.ST_WRITE_TO_STATIC_FROM_INSTANCE_METHOD, ContinuationFilter.java)
- [299942] #fsert парсинг MIME-типов (jaf-api), сообщение диагностики:(SIMILAR_BRANCHES, MimeType.java)
- [299941] #fsert сборка и фильтрация команд для почтовых сообщений (jaf-api), сообщение диагностики:(FB.WMI_WRONG_MAP_ITERATOR, MailcapCommandMap.java)
- [296916] Схемы: Экспорт PDF - возможность вписывать в листы
- [299740] Схемы: Экспорт PDF - исправлен экспорт атрибутов при выключенной разметке страницы
- [299940] #fsert поиск и анализ mailcap файлов (jaf-api), сообщение диагностики:(FB.REC_CATCH_EXCEPTION, MailcapCommandMap.java)
- [299812] в расчетном модули некоррректно присваивается поле типа блоб-файл из другого поля типа блоб-файл при помощи метода assign: ds1.fileField1.assing(ds2.fileField2)
- [299939] #fsert работа механизма поиска реализаций (jaf-api), сообщение диагностики:(FB.REC_CATCH_EXCEPTION, FactoryFinder.java)
- [299817] #fsert Принудительно используем исправленные нами исходники библиотеки jakarta.mail-api при сборке angus-mail
+ [298539] v6 dsl Доработка функции Debug.normalizeContent для Модуля данных
- [298697] #fsert DEREF_OF_NULL.EX ext/commons-math/src/main/java/org/apache/commons/math3/geometry/euclidean/oned/IntervalsSet.java
- [298703] #fsert DEREF_OF_NULL.EX ext/commons-math/src/main/java/org/apache/commons/math3/optim/nonlinear/scalar/noderiv/SimplexOptimizer.java
- [298709] #fsert DEREF_OF_NULL.EX ext/commons-math/src/main/java/org/apache/commons/math3/optim/univariate/MultiStartUnivariateOptimizer.java
- [298702] #fsert DEREF_OF_NULL.EX ext/commons-math/src/main/java/org/apache/commons/math3/optim/nonlinear/scalar/noderiv/CMAESOptimizer.java
- [298701] #fsert DEREF_OF_NULL.EX ext/commons-math/src/main/java/org/apache/commons/math3/optim/BaseMultiStartMultivariateOptimizer.java
- [298700] #fsert DEREF_OF_NULL.EX ext/commons-math/src/main/java/org/apache/commons/math3/ode/nonstiff/AdamsMoultonFieldIntegrator.java
- [298698] #fsert DEREF_OF_NULL.EX ext/commons-math/src/main/java/org/apache/commons/math3/geometry/spherical/oned/ArcsSet.java
- [298710] #fsert DEREF_OF_NULL.EX ext/commons-math/src/main/java/org/apache/commons/math3/optimization/BaseMultivariateMultiStartOptimizer.java
- [298804] #fsert DYNAMIC_OVERFLOW ext/commons-math/src/main/java/org/apache/commons/math3/linear/BlockRealMatrix.java
- [298714] #fsert DEREF_OF_NULL.EX ext/commons-math/src/main/java/org/apache/commons/math3/optimization/univariate/UnivariateMultiStartOptimizer.java
- [298712] #fsert DEREF_OF_NULL.EX ext/commons-math/src/main/java/org/apache/commons/math3/optimization/BaseMultivariateVectorMultiStartOptimizer.java
- [298805] #fsert DYNAMIC_OVERFLOW ext/commons-math/src/main/java/org/apache/commons/math3/linear/OpenMapRealMatrix.java
- [298665] #fsert CHECK_AFTER_OVERFLOW ext/commons-math/src/main/java/org/apache/commons/math3/dfp/Dfp.java
- [298807] #fsert DYNAMIC_OVERFLOW ext/commons-math/src/main/java/org/apache/commons/math3/linear/OpenMapRealVector.java
- [298699] #fsert DEREF_OF_NULL.EX ext/commons-math/src/main/java/org/apache/commons/math3/ode/nonstiff/AdamsBashforthFieldIntegrator.java
- [299137] #fsert DEREF_AFTER_NULL.EX.COND ext/commons-math/src/main/java/org/apache/commons/math3/ode/nonstiff/GraggBulirschStoerStepInterpolator.java
- [298713] #fsert DEREF_OF_NULL.EX ext/commons-math/src/main/java/org/apache/commons/math3/optimization/direct/CMAESOptimizer.java
- [298808] #fsert DYNAMIC_OVERFLOW ext/commons-math/src/main/java/org/apache/commons/math3/linear/SparseFieldVector.java
- [298811] #fsert DYNAMIC_OVERFLOW ext/commons-math/src/main/java/org/apache/commons/math3/stat/descriptive/rank/PSquarePercentile.java
- [298809] #fsert DYNAMIC_OVERFLOW ext/commons-math/src/main/java/org/apache/commons/math3/optim/nonlinear/scalar/noderiv/PowellOptimizer.java
- [298810] #fsert DYNAMIC_OVERFLOW ext/commons-math/src/main/java/org/apache/commons/math3/optimization/direct/PowellOptimizer.java
- [300578] #fsert FB.FE_FLOATING_POINT_EQUALITY ext/commons-math/src/main/java/org/apache/commons/math3/optim/linear/LinearConstraint.java
- [300584] #fsert FB.FE_FLOATING_POINT_EQUALITY ext/commons-math/src/main/java/org/apache/commons/math3/optimization/direct/BOBYQAOptimizer.java
- [300579] #fsert FB.FE_FLOATING_POINT_EQUALITY ext/commons-math/src/main/java/org/apache/commons/math3/optim/nonlinear/scalar/noderiv/BOBYQAOptimizer.java
- [300586] #fsert FB.FE_FLOATING_POINT_EQUALITY ext/commons-math/src/main/java/org/apache/commons/math3/optimization/linear/LinearConstraint.java

--- 5.2.3111beta0 --- 27.03.2026
+ [299823] запрос на получение полного списка дочерних узлов
- [298716] #fsert поиск в виртуальной файловой системе (jetty), сообщение диагностики:(DEREF_OF_NULL.EX, ResourceCollection.java)
- [298715] #fsert поиск необходимого класса (jetty), сообщение диагностики:(DEREF_OF_NULL.EX, Loader.java)
- [298691] #fsert проверка корректности протокола POP3 (angus-mail), сообщение диагностики:(DEREF_OF_NULL.EX, POP3ReadableMimeTest.java)
- [298681] #fsert форматирование сообщений с параметрами {} (log4j2), сообщение диагностики:(DEREF_AFTER_NULL.EX.COND, ReusableParameterizedMessage.java)
- [298668] #fsert восстановление структуры .class файлов (commons-compress), сообщение диагностики:(DEREF_AFTER_NULL.EX, ClassBands.java)
- [298747] #fsert фильтрация сообщений во внутреннем логгере (log4j2), сообщение диагностики:(DEREF_OF_NULL.EX.COND, StatusLogger.java)
- [298759] #fsert инициализация системы логирования (log4j2), сообщение диагностики:(DEREF_OF_NULL.RET.LIB, ProviderUtil.java)
- [298662] #fsert передача дат от сервера к клиенту (jackson, JWT), сообщение диагностики:(FB.STCAL_INVOKE_ON_STATIC_CALENDAR_INSTANCE, StdDateFormat.java)
- [299437] #fsert FB.UCF_USELESS_CONTROL_FLOW_NEXT_LINE src/server/agent/java/src/inform/agent/mtd/MtdEngine.java
- [299506] #fsert FB.DLS_DEAD_LOCAL_STORE ext/poi/poi-scratchpad/src/main/java/org/apache/poi/hemf/record/emf/HemfHeader.java
- [299508] #fsert FB.DLS_DEAD_LOCAL_STORE ext/poi/poi-scratchpad/src/main/java/org/apache/poi/hemf/record/emf/HemfMisc.java
- [299419] #fsert Сообщение диагностики: NO_LOCK.STAT.EX ext/mail-api/api/src/main/java/jakarta/mail/Message.java
- [299408] #fsert Сообщение диагностики: NO_LOCK.STAT.EX ext/mail-api/api/src/main/java/jakarta/mail/EventQueue.java
- [299422] #fsert Сообщение диагностики: NO_LOCK.STAT.EX ext/mail-api/api/src/main/java/jakarta/mail/Service.java
- [299423] #fsert Сообщение диагностики: DEREF_OF_NULL.EX.COND ext/mail-api/api/src/main/java/jakarta/mail/Session.java
- [299424] #fsert Сообщение диагностики: FB.REC_CATCH_EXCEPTION ext/mail-api/api/src/main/java/jakarta/mail/Session.java
- [299425] #fsert Сообщение диагностики: NO_LOCK.STAT.EX ext/mail-api/api/src/main/java/jakarta/mail/Session.java
- [299426] #fsert Сообщение диагностики: SIMILAR_BRANCHES ext/mail-api/api/src/main/java/jakarta/mail/Session.java
- [299428] #fsert Сообщение диагностики: FB.REC_CATCH_EXCEPTION ext/mail-api/api/src/main/java/jakarta/mail/util/FactoryFinder.java
- [298167-298183,298185-298197] #fsert LDAP (unboundid-ldapsdk). Сообщение диагностики: FB.RV_RETURN_VALUE_OF_PUTIFABSENT_IGNORED GenerateMessages.java
- [297915] #fsert Запрос конфигурации. Сообщение диагностики: FB.DLS_DEAD_LOCAL_STORE GetConfiguration.java
- [297914] #fsert Дата и время. Сообщение диагностики: #fsert FB.DLS_DEAD_LOCAL_STORE DateTime.java (adt)
- [297913] #fsert Связи таблиц. Сообщение диагностики: DEREF_OF_NULL.EX TableLinkList.java
- [299321] #fsert Сообщение диагностики: FB.EQ_COMPARETO_USE_OBJECT_EQUALS ext/commons-compress/src/main/java/org/apache/commons/compress/harmony/pack200/CPSignature.java
- [299322] #fsert Сообщение диагностики: FB.EQ_COMPARETO_USE_OBJECT_EQUALS ext/commons-compress/src/main/java/org/apache/commons/compress/harmony/pack200/CPString.java
- [299318] #fsert Сообщение диагностики: FB.EQ_COMPARETO_USE_OBJECT_EQUALS ext/commons-compress/src/main/java/org/apache/commons/compress/harmony/pack200/CPLong.java
- [299323] #fsert Сообщение диагностики: FB.EQ_COMPARETO_USE_OBJECT_EQUALS ext/commons-compress/src/main/java/org/apache/commons/compress/harmony/pack200/CPUTF8.java
- [299317] #fsert Сообщение диагностики: FB.EQ_COMPARETO_USE_OBJECT_EQUALS ext/commons-compress/src/main/java/org/apache/commons/compress/harmony/pack200/CPInt.java
- [299316] #fsert Сообщение диагностики: FB.EQ_COMPARETO_USE_OBJECT_EQUALS ext/commons-compress/src/main/java/org/apache/commons/compress/harmony/pack200/CPFloat.java
- [299315] #fsert Сообщение диагностики: FB.EQ_COMPARETO_USE_OBJECT_EQUALS ext/commons-compress/src/main/java/org/apache/commons/compress/harmony/pack200/CPDouble.java
- [299314] #fsert Сообщение диагностики: FB.EQ_COMPARETO_USE_OBJECT_EQUALS ext/commons-compress/src/main/java/org/apache/commons/compress/harmony/pack200/CPClass.java
- [299510] #fsert FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD ext/poi/poi-scratchpad/src/main/java/org/apache/poi/hemf/record/emf/HemfMisc.java
- [299502] #fsert FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG ext/poi/poi-scratchpad/src/main/java/org/apache/poi/hemf/record/emf/HemfDraw.java
- [299504] #fsert FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG ext/poi/poi-scratchpad/src/main/java/org/apache/poi/hemf/record/emf/HemfFill.java
- [299507] #fsert FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG ext/poi/poi-scratchpad/src/main/java/org/apache/poi/hemf/record/emf/HemfHeader.java
- [299509] #fsert FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG ext/poi/poi-scratchpad/src/main/java/org/apache/poi/hemf/record/emf/HemfMisc.java
- [299511] #fsert FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG ext/poi/poi-scratchpad/src/main/java/org/apache/poi/hemf/record/emf/HemfText.java
- [298044,298047] #fsert Почта, протокол IMAP. Сообщение диагностики: SIMILAR_BRANCHES MailboxInfo.java (angus-mail)
- [299411] #fsert FB.ES_COMPARING_STRINGS_WITH_EQ ext/mail-api/api/src/main/java/jakarta/mail/internet/InternetAddress.java
- [299427] #fsert FB.ES_COMPARING_STRINGS_WITH_EQ ext/mail-api/api/src/main/java/jakarta/mail/URLName.java
- [297956] #fsert Получение id текущей записи источника данных. Сообщение диагностики: SIMILAR_BRANCHES Datasource.java
- [299418] #fsert FB.EQ_DOESNT_OVERRIDE_EQUALS ext/mail-api/api/src/main/java/jakarta/mail/internet/ParameterList.java
- [299413] #fsert FB.EQ_DOESNT_OVERRIDE_EQUALS ext/mail-api/api/src/main/java/jakarta/mail/internet/InternetHeaders.java
+ [298538] v6 dsl Объектное представление секций общих с формой узла Модуль данных

--- 5.2.3110beta1, 5.2.3110rc0 --- 23.03.2026
- [299416] #fsert FB.REC_CATCH_EXCEPTION ext/mail-api/api/src/main/java/jakarta/mail/internet/MimeUtility.java
- [297922] #fsert Генератор значений полей. Сообщение диагностики: FB.EQ_DOESNT_OVERRIDE_EQUALS FieldValueGenerator.java
- [299429] #fsert INVARIANT_RESULT ext/mail-api/api/src/main/java/jakarta/mail/util/SharedFileInputStream.java
- [299420] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE ext/mail-api/api/src/main/java/jakarta/mail/Quota.java
- [299414] #fsert SIMILAR_BRANCHES ext/mail-api/api/src/main/java/jakarta/mail/internet/MailDateFormat.java
- [299415] #fsert FB.ES_COMPARING_STRINGS_WITH_EQ ext/mail-api/api/src/main/java/jakarta/mail/internet/MimeUtility.java
- [299439] #fsert Содержимое узла. Сообщение диагностики: FB.SIC_INNER_SHOULD_BE_STATIC BasicNode.java
- [299437] #fsert FB.UCF_USELESS_CONTROL_FLOW_NEXT_LINE src/server/agent/java/src/inform/agent/mtd/MtdEngine.java
- [299409] #fsert DEREF_OF_NULL.EX ext/mail-api/api/src/main/java/jakarta/mail/Flags.java
- [299410] #fsert SIMILAR_BRANCHES ext/mail-api/api/src/main/java/jakarta/mail/Header.java
- [299412] #fsert SIMILAR_BRANCHES ext/mail-api/api/src/main/java/jakarta/mail/internet/InternetAddress.java
- [299436] #fsert FB.LI_LAZY_INIT_STATIC src/server/agent/java/src/inform/agent/mtd/MtdEngine.java
- [299435] #fsert FB.DLS_DEAD_LOCAL_STORE src/server/agent/java/src/inform/agent/mtd/MetadataNodeReader.java
- [299434] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/mtd/AuditJournal.java
- [299433] #fsert NO_LOCK.STAT.EX src/server/agent/java/src/inform/agent/files/FileCache.java
- [299431] #fsert FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/FieldValueGenerator.java
- [299057] #fsert FB.HE_EQUALS_NO_HASHCODE src/server/agent/java/src/inform/agent/ActionHooks.java
- [299059] #fsert FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG src/adt/java/src/inform/adt/LittleEndian.java
- [299065] #fsert FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG src/server/agent/java/src/inform/agent/am/Telemeter.jav
- [299066] #fsert FB.UMAC_UNCALLABLE_METHOD_OF_ANONYMOUS_CLASS src/server/agent/java/src/inform/agent/am/Telemeter.java
- [299067] #fsert FB.UUF_UNUSED_FIELD src/server/agent/java/src/inform/agent/am/Telemeter.java
- [299068] #fsert FB.SA_LOCAL_DOUBLE_ASSIGNMENT src/server/agent/java/src/inform/agent/aves/Converter.java
- [299069] #fsert FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG src/server/agent/java/src/inform/agent/Core.java
- [299319] #fsert Сообщение диагностики: FB.EQ_COMPARETO_USE_OBJECT_EQUALS ext/commons-compress/src/main/java/org/apache/commons/compress/harmony/pack200/CPMethodOrField.java
- [299311] #fsert Сообщение диагностики: FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG ext/commons-compress/src/main/java/org/apache/commons/compress/harmony/pack200/BHSDCodec.java
- [299325] #fsert Сообщение диагностики: FB.LI_LAZY_INIT_UPDATE_STATIC ext/commons-compress/src/main/java/org/apache/commons/compress/harmony/pack200/PackingUtils.java
- [299327] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/poi/poi-ooxml/src/main/java/org/apache/poi/openxml4j/opc/PackagePartCollection.java
- [299320] #fsert Сообщение диагностики: FB.EQ_COMPARETO_USE_OBJECT_EQUALS ext/commons-compress/src/main/java/org/apache/commons/compress/harmony/pack200/CPNameAndType.java
- [299339] #fsert Сообщение диагностики: FB.URF_UNREAD_FIELD ext/poi/poi-ooxml/src/main/java/org/apache/poi/xslf/draw/SVGImageRenderer.java
- [299340] #fsert Сообщение диагностики: FB.DLS_DEAD_LOCAL_STORE ext/poi/poi-ooxml/src/main/java/org/apache/poi/xslf/draw/SVGRenderExtension.java
- [299071] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/db/commit/CommitRequest.java
- [299072] #fsert #fsert FB.JLM_JSR166_UTILCONCURRENT_MONITORENTER src/server/agent/java/src/inform/agent/db/connect/DatabaseDescriptor.java
- [299313] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE ext/commons-compress/src/main/java/org/apache/commons/compress/harmony/pack200/Codec.java
- [299312] #fsert Сообщение диагностики: FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG ext/commons-compress/src/main/java/org/apache/commons/compress/harmony/pack200/ClassBands.java
- [299310] #fsert Сообщение диагностики: FB.SIC_INNER_SHOULD_BE_STATIC ext/commons-compress/src/main/java/org/apache/commons/compress/harmony/pack200/BandSet.java
- [299324] #fsert Сообщение диагностики: FB.HE_EQUALS_USE_HASHCODE ext/commons-compress/src/main/java/org/apache/commons/compress/harmony/pack200/IcBands.java
- [299256] Отчеты: оптимизирован доступ к таблице стилей ячеек
- [299073] #fsert NEGATIVE_CODE_ERROR.EX src/server/agent/java/src/inform/agent/db/connect/DatabaseDescriptor.java
- [298717] #fsert DEREF_OF_NULL.EX ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/StringUtil.java
- [299075] #fsert SIMILAR_BRANCHES src/server/agent/java/src/inform/agent/db/connect/oracle/schema/Scheme.java

--- 5.2.3110beta1 --- 19.03.2026
- [299118] #fsert FB.EQ_DOESNT_OVERRIDE_EQUALS ext/commons-collections/src/main/java/org/apache/commons/collections4/map/AbstractLinkedMap.java
- [299074] #fsert FB.UWF_NULL_FIELD src/server/agent/java/src/inform/agent/db/connect/DatabaseInfo.java
- [299076] #fsert FB.DLS_DEAD_LOCAL_STORE src/server/agent/java/src/inform/agent/db/connect/postgresql/schema/Table.java
- [299079] #fsert FB.EQ_DOESNT_OVERRIDE_EQUALS src/server/agent/java/src/inform/agent/db/MaxGeneratedFieldValue.java
- [299080] #fsert FB.EQ_DOESNT_OVERRIDE_EQUALS src/server/agent/java/src/inform/agent/db/ReplicationData.java
- [299123] #fsert FB.IA_AMBIGUOUS_INVOCATION_OF_INHERITED_OR_OUTER_METHOD ext/commons-collections/src/main/java/org/apache/commons/collections4/trie/AbstractPatriciaTrie.java
- [299082] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/db/ReplicationData.java
- [299081] #fsert FB.EQ_DOESNT_OVERRIDE_EQUALS src/server/agent/java/src/inform/agent/db/ParametersRowset.java
- [299083] #fsert FB.HE_EQUALS_NO_HASHCODE src/server/agent/java/src/inform/agent/db/request/CheckConstraints.java
- [299084] #fsert FB.UUF_UNUSED_FIELD src/server/agent/java/src/inform/agent/db/request/ExecuteStoredProcedure.java
- [299085] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/db/request/GenerateFieldValue.java
- [299138] #fsert TAINTED_INT.PTR ext/jsoup/src/main/java/org/jsoup/nodes/Entities.java
- [299087] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/db/request/GetRecordContent.java
- [299088] #fsert FB.DLS_DEAD_LOCAL_STORE src/server/agent/java/src/inform/agent/db/request/GetSQLText.java
- [298259-298284] #fsert LDAP. Сообщение диагностики: #fsert WRONG_SEMICOLON GenerateMessages.java (unboundid-ldapsdk)'
- [299089] #fsert FB.DLS_DEAD_LOCAL_STORE src/server/agent/java/src/inform/agent/db/request/GetTableRecordsRef.java
- [299090] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/db/SortingField.java
- [299091] #fsert SIMILAR_BRANCHES src/server/agent/java/src/inform/agent/db/sql/engine/Condition.java
- [299094] #fsert SIMILAR_BRANCHES src/server/agent/java/src/inform/agent/db/sql/engine/Engine.java
- [299093] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/db/sql/engine/Engine.java
- [299092] #fsert FB.DLS_DEAD_LOCAL_STORE src/server/agent/java/src/inform/agent/db/sql/engine/Engine.java
- [299095] #fsert FB.EQ_DOESNT_OVERRIDE_EQUALS src/server/agent/java/src/inform/agent/db/sql/engine/FieldExpression.java
- [299097] #fsert FB.DLS_DEAD_LOCAL_STORE src/server/agent/java/src/inform/agent/db/sql/engine/HierarchicEntry.java
- [299099] #fsert FB.UUF_UNUSED_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/db/sql/engine/SearchField.java
- [299098] #fsert FB.SIC_INNER_SHOULD_BE_STATIC src/server/agent/java/src/inform/agent/db/sql/engine/SearchField.java
- [299100] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/db/sql/QueryTokenizer.java
- [299101] #fsert INVARIANT_RESULT src/server/agent/java/src/inform/agent/db/sql/QueryTokenizer.java
- [299102] #fsert SIMILAR_BRANCHES src/server/agent/java/src/inform/agent/db/sql/QueryTokenizer.java
- [299103] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/db/sql/SimpleSqlBuilder.java
- [298687] #fsert Сообщение диагностики: DEREF_OF_NULL ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/unboundidds/tools/LDAPDiff.java
- [299139] #fsert Сообщение диагностики: FB.IC_INIT_CIRCULARITY ext/jsoup/src/main/java/org/jsoup/helper/AuthenticationHandler.java
- [299105] #fsert SIMILAR_BRANCHES src/server/agent/java/src/inform/agent/db/TableDescriptor.java
- [299106] #fsert FB.DLS_DEAD_LOCAL_STORE src/server/agent/java/src/inform/agent/db/utils/PackedRowContent.java
- [299112] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/db/utils/UnpackedRowContent.java
- [299113] #fsert FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/db/utils/UnpackedRowContent.java
- [299117] #fsert SIMILAR_BRANCHES ext/commons-collections/src/main/java/org/apache/commons/collections4/list/CursorableLinkedList.java
- [299051] #fsert Сообщение диагностики: FB.SE_NO_SERIALVERSIONID src/server/agent/java/src/inform/agent/scripts/CallableStatement.java
- [299053] #fsert Сообщение диагностики: FB.SE_BAD_FIELD src/server/agent/java/src/inform/agent/scripts/WebCanvas.java
- [299047] #fsert Сообщение диагностики: FB.RV_RETURN_VALUE_OF_PUTIFABSENT_IGNORED ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/ObjectReader.java
- [299142] #fsert Сообщение диагностики: FB.SE_BAD_FIELD ext/jsoup/src/main/java/org/jsoup/nodes/Element.java
- [299140] #fsert Сообщение диагностики: FB.DMI_RANDOM_USED_ONLY_ONCE ext/jsoup/src/main/java/org/jsoup/helper/DataUtil.java
- [299141] #fsert Сообщение диагностики: FB.EQ_DOESNT_OVERRIDE_EQUALS ext/jsoup/src/main/java/org/jsoup/nodes/Element.java
- [299120] #fsert FB.SF_SWITCH_FALLTHROUGH ext/commons-collections/src/main/java/org/apache/commons/collections4/map/Flat3Map.java
- [299119] #fsert FB.URF_UNREAD_FIELD ext/commons-collections/src/main/java/org/apache/commons/collections4/map/AbstractReferenceMap.java
- [298883] #fsert Сообщение диагностики: FB.AT_OPERATION_SEQUENCE_ON_CONCURRENT_ABSTRACTION ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/CompactAttribute.java
- [298884] #fsert Сообщение диагностики: FB.AT_OPERATION_SEQUENCE_ON_CONCURRENT_ABSTRACTION ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/persist/LDAPPersister.java
- [298879] #fsert Сообщение диагностики: FB.BC_VACUOUS_INSTANCEOF ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/SearchRequest.java
- [298880] #fsert Сообщение диагностики: FB.BC_VACUOUS_INSTANCEOF ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/unboundidds/AES256EncodedPasswordSecretKey.java
- [298958] #fsert Сообщение диагностики: FB.DLS_DEAD_LOCAL_STORE ext/commons-compress/src/main/java/org/apache/commons/compress/archivers/sevenz/SevenZFile.java
- [299114] #fsert FB.WMI_WRONG_MAP_ITERATOR ext/angus-activation/activation-registry/src/main/java/org/eclipse/angus/activation/MailcapFile.java
- [298731] #fsert Сообщение диагностики: DEREF_OF_NULL.EX ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/FailoverServerSet.java
- [298730] #fsert Сообщение диагностики: DEREF_OF_NULL.EX ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/DNSSRVRecordServerSet.java
- [298733] #fsert Сообщение диагностики: DEREF_OF_NULL.EX ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/RoundRobinDNSServerSet.java
- [298693] #fsert Сообщение диагностики: DEREF_OF_NULL.EX ext/commons-compress/src/main/java/org/apache/commons/compress/archivers/sevenz/SevenZFile.java
- [298679] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/unboundidds/tools/LDAPModify.java
- [298675] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX ext/poi/poi-ooxml/src/main/java/org/apache/poi/xwpf/usermodel/XWPFPictureData.java
- [299096] #fsert FALL_THROUGH src/server/agent/java/src/inform/agent/db/sql/engine/GenerateCondition.java
- [299024] Отчеты xlsx: исправлена ошибка расчета ширины листа
- [299054] #fsert Сообщение диагностики: FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/web/reports/document/DocCell.java
- [299055] #fsert Сообщение диагностики: FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/web/reports/controls/ReportRow.java
- [297974] #fsert Почта, протокол SMTP. Сообщение диагностики: FB.DLS_DEAD_LOCAL_STORE SMTPTransport.java (angus-mail)
- [299107] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/db/utils/SqlCommandBatch.java
- [298021] #fsert Почта, протокол pop3. Сообщение диагностики: FB.RV_RETURN_VALUE_IGNORED_BAD_PRACTICE TempFile.java (angus-mail)
- [299109] #fsert FB.UWF_NULL_FIELD src/server/agent/java/src/inform/agent/db/utils/SqlExecutor.java
- [299056] #fsert  Сообщение диагностики: FB.FE_FLOATING_POINT_EQUALITY src/server/agent/java/src/inform/agent/schemes/BaseGraphic.java
- [298795] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.STAT ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/persist/DefaultObjectEncoder.java
- [298797] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.STAT ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/schema/SchemaValidator.java
- [298798] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.STAT ext/unboundid-ldapsdk/src/com/unboundid/util/ssl/cert/ManageCertificates.java
- [298732] #fsert Сообщение диагностики: DEREF_OF_NULL.EX ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/FewestConnectionsServerSet.java
- [298802] #fsert Сообщение диагностики: DYNAMIC_OVERFLOW ext/commons-compress/src/main/java/org/apache/commons/compress/archivers/ArchiveStreamFactory.java
- [298803] #fsert Сообщение диагностики: DYNAMIC_OVERFLOW ext/commons-compress/src/main/java/org/apache/commons/compress/compressors/CompressorStreamFactory.java
- [299110] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/db/utils/TableRelationInfo.java
- [299061] #fsert FB.DLS_DEAD_LOCAL_STORE src/server/agent/java/src/inform/agent/ActiveDirectory.java
- [299060] #fsert FB.ST_WRITE_TO_STATIC_FROM_INSTANCE_METHOD src/server/agent/java/src/org/slf4j/impl/AsmoLogger.java
- [299033] Схемы: Импорт ODG - исправлен HeadlessException при импорте схемы 
- [297496] dsl неправильно записывается в теговый поток уровень иерархии в выражение поля
+ [298837] проверка окграничений на данные прикладного решения
- [298853] #fsert DYNAMIC_OVERFLOW ext/poi/poi-scratchpad/src/main/java/org/apache/poi/hemf/record/emfplus/HemfPlusPath.java
- [298584] Схемы: исправлена ошибка экспорта в pdf текстов со сжатиями
- [298765] #fsert DEREF_OF_NULL.RET.LIB ext/poi/poi-ooxml/src/main/java/org/apache/poi/openxml4j/opc/PackagingURIHelper.java
- [299014] Схемы: Импорт drawio - исправлено несоответствие идентификаторов форматов между клиентом и сервером
- [298571] Схемы: исправлен экспорт в vsdx типа соединительной линии
- [298764] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.LIB ext/poi/poi-ooxml/src/main/java/org/apache/poi/openxml4j/opc/PackagePartName.java
- [298767] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.LIB ext/poi/poi/src/main/java/org/apache/poi/util/IOUtils.java
- [298770] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.LIB ext/unboundid-ldapsdk/build-src/messages/com/unboundid/buildtools/messages/GenerateMessages.java
- [298771] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.LIB ext/unboundid-ldapsdk/src/com/unboundid/ldap/listener/InMemoryDirectoryServerTool.java
- [298772] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.LIB ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/schema/SchemaValidator.java
- [298773] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.LIB ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/transformations/TransformLDIF.java
- [298774] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.LIB ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/unboundidds/tools/SplitLDIF.java
- [298782] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.LIB ext/unboundid-ldapsdk/src/com/unboundid/ldif/LDIFDiff.java
- [298783] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.LIB ext/unboundid-ldapsdk/src/com/unboundid/ldif/LDIFSearch.java
- [298784] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.LIB ext/unboundid-ldapsdk/src/com/unboundid/util/ssl/JVMDefaultTrustManager.java
- [298749] #fsert Сообщение диагностики: DEREF_OF_NULL.EX.COND ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/controls/ContentSyncInfoIntermediateResponse.java
- [298750] #fsert Сообщение диагностики: DEREF_OF_NULL.EX.COND ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/unboundidds/tools/LDAPModify.java
- [298751] #fsert Сообщение диагностики: DEREF_OF_NULL.EX.COND ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/unboundidds/tools/LDAPModifySearchListener.java
- [298657] #fsert Сообщение диагностики: FB.SE_NO_SERIALVERSIONID ext/jjwt/impl/src/main/java/io/jsonwebtoken/impl/security/PrivateECKey.java
- [298734] #fsert Сообщение диагностики: DEREF_OF_NULL.EX ext/unboundid-ldapsdk/src/com/unboundid/util/ssl/cert/ManageCertificates.java
- [298735] #fsert Сообщение диагностики: DEREF_OF_NULL.EX ext/unboundid-ldapsdk/src/com/unboundid/util/ssl/cert/X509Certificate.java
- [298881] #fsert Сообщение диагностики: FB.BX_UNBOXING_IMMEDIATELY_REBOXED ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/unboundidds/tools/ResultUtils.java
- [298736] #fsert Сообщение диагностики: DEREF_OF_NULL.EX ext/unboundid-ldapsdk/src/com/unboundid/util/ssl/JVMDefaultTrustManager.java
- [298896] #fsert реализация методов writeObject() и readObject() для сообщения диагностики: FB.SE_NO_SERIALVERSIONID
- [298962] #fsert FB.DLS_DEAD_LOCAL_STORE ext/image4j/src/net/sf/image4j/codec/bmp/BMPDecoder.java
- [298889] #fsert FB.CN_IMPLEMENTS_CLONE_BUT_NOT_CLONEABLE src/server/agent/java/src/inform/agent/db/utils/SqlParameter.java
- [298786] #fsert DEREF_OF_NULL.RET.STAT ext/commons-io/src/main/java/org/apache/commons/io/output/DeferredFileOutputStream.java
- [298669] #fsert DEREF_AFTER_NULL.EX ext/jetty.project/jetty-servlet/src/main/java/org/eclipse/jetty/servlet/DefaultServlet.java
- [298781] #fsert DEREF_OF_NULL.RET.LIB ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/unboundidds/tools/ToolInvocationLogger.java
- [298768] #fsert DEREF_OF_NULL.RET.LIB ext/unboundid-ldapsdk/build-src/graalvmnativeimageresources/com/unboundid/buildtools/graalvmnativeimageresources/GenerateGraalVMNativeImageResourceConfigJSON.java
- [298678] #fsert DEREF_AFTER_NULL.EX ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/LDAPConnectionPool.java
+ [297047] #re Пакет Crypto: N53965 - проверка подписи файла (js-функция "testSign")
- [298885] #fsert FB.AT_OPERATION_SEQUENCE_ON_CONCURRENT_ABSTRACTION src/server/agent/java/src/inform/agent/db/connect/DatabaseDescriptor.java
- [298799] #fsert DEREF_OF_NULL.RET.STAT src/server/agent/java/src/inform/agent/db/request/SearchInTree.java
- [298874] #fsert FB.BC_UNCONFIRMED_CAST ext/poi/poi-scratchpad/src/main/java/org/apache/poi/hemf/record/emfplus/HemfPlusObject.java
- [298882, 298788] удалены неиспользуемые исходные файлы, отсключена сборка тестов библиотеки jetty
- [298758] #fsert DEREF_OF_NULL.RET.LIB ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/RolloverFileOutputStream.java
- [298852] #fsert DYNAMIC_OVERFLOW ext/poi/poi-ooxml/src/main/java/org/apache/poi/xssf/usermodel/XSSFTable.java
- [298757] #fsert DEREF_OF_NULL.RET.LIB ext/jetty.project/jetty-server/src/main/java/org/eclipse/jetty/server/session/HashSessionManager.java
- [297988,297986] #fsert Почта, NTLM-аутентификация (angus-mail). Сообщение диагностики: FB.DMI_RANDOM_USED_ONLY_ONCE Ntlm.java
- [298793] #fsert DEREF_OF_NULL.RET.STAT ext/rhino/src/org/mozilla/javascript/optimizer/BodyCodegen.java
- [297999] #fsert Почта, SMTP аутентификация. Сообщение диагностики: FB.ES_COMPARING_STRINGS_WITH_EQ SMTPTransport.java
- [298886] #fsert FB.CN_IDIOM ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/LazyList.java
- [298887] #fsert FB.CN_IDIOM ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/URIUtil.java
- [298683] #fsert DEREF_AFTER_NULL.EX.COND ext/rhino/src/org/mozilla/javascript/regexp/RegExpImpl.java
- [298877] #fsert FB.BC_VACUOUS_INSTANCEOF ext/jetty.project/jetty-servlet/src/main/java/org/eclipse/jetty/servlet/ServletHandler.java
- [298034] #fsert Почтовый протокол POP3 (angus-mail). Сообщение диагностики: #fsert FB.UUF_UNUSED_FIELD Protocol.java
- [296179] добавлены диагностические логи в job рассылки оповещений о новых версиях клиентов
- [298878] #fsert FB.BC_UNCONFIRMED_CAST src/server/agent/java/src/inform/agent/web/reports/document/DocParagraph.java
- [298755] #fsert DEREF_OF_NULL.RET.LIB ext/angus-mail/providers/mbox/src/main/java/org/eclipse/angus/mail/mbox/MboxFolder.java
- [298737] #fsert DEREF_OF_NULL.EX src/server/agent/java/src/inform/agent/db/commit/DeleteEngine.java
- [298753] #fsert DEREF_OF_NULL.EX.COND src/server/agent/java/src/inform/agent/db/DataRow.java
- [298785] #fsert DEREF_OF_NULL.RET.LIB src/server/agent/java/src/inform/agent/ClientUpdateInfo.java
- [298686] #fsert DEREF_AFTER_NULL.EX.COND src/server/agent/java/src/inform/agent/scripts/sql/expr/cnd/CompareOperation.java
- [298752] #fsert DEREF_OF_NULL.EX.COND src/server/agent/java/src/inform/agent/db/commit/CommitRequest.java
- [298857] #fsert FALL_THROUGH ext/commons-math/src/main/java/org/apache/commons/math3/optimization/direct/BOBYQAOptimizer.java
- [298856] #fsert FALL_THROUGH ext/commons-math/src/main/java/org/apache/commons/math3/optim/nonlinear/scalar/noderiv/BOBYQAOptimizer.java
- [298858] #fsert FALL_THROUGH ext/jetty.project/jetty-continuation/src/main/java/org/eclipse/jetty/continuation/FauxContinuation.java
- [298859] #fsert FALL_THROUGH ext/jetty.project/jetty-http/src/main/java/org/eclipse/jetty/http/HttpGenerator.java
- [298861] #fsert FALL_THROUGH ext/netty/src/main/java/org/jboss/netty/handler/codec/http/websocketx/WebSocket08FrameDecoder.java
- [298862] #fsert FALL_THROUGH ext/netty/src/main/java/org/jboss/netty/util/internal/jzlib/InfBlocks.java
- [298864] #fsert FALL_THROUGH ext/netty/src/main/java/org/jboss/netty/util/internal/jzlib/Inflate.java
- [298860] #fsert FALL_THROUGH ext/netty/src/main/java/org/jboss/netty/handler/codec/http/HttpMessageDecoder.java
- [298863] #fsert FALL_THROUGH ext/netty/src/main/java/org/jboss/netty/util/internal/jzlib/InfCodes.java
- [298685] #fsert DEREF_AFTER_NULL.EX.COND src/server/agent/java/src/inform/agent/db/sql/engine/Generate.java
- [298684] #fsert DEREF_AFTER_NULL.EX.COND src/server/agent/java/src/inform/agent/db/AbstractConnectionManager.java
- [298738] #fsert DEREF_OF_NULL.EX src/server/agent/java/src/inform/agent/db/request/GetDistinctValues.java
- [298739] #fsert DEREF_OF_NULL.EX src/server/agent/java/src/inform/agent/mtd/obj/search/DSearchEntryParameters.java
- [298740] #fsert DEREF_OF_NULL.EX src/server/agent/java/src/inform/agent/net/request/SendMessageToUsers.java
- [298672] Схемы: исправлена обработка китайских шрифтов при экспорте в pdf
- [298741] #fsert DEREF_OF_NULL.EX src/server/agent/java/src/inform/agent/sched/Job.java
- [298875] #fsert Сообщение диагностики: FB.BC_UNCONFIRMED_CAST src/server/agent/java/src/inform/agent/web/reports/document/DocCell.java
- [298821] Схемы: отключено рисование и новый импорт изображений в формате *.wmf, *.emf
- [298754] #fsert DEREF_OF_NULL.EX.COND src/server/agent/java/src/inform/agent/replication/Replication.java
- [297903] dsl исправлено сохранение свойства контролов выражение в теговый поток
- [298477] dsl исправлено сохранение опций формата столбца грида в теговый поток

--- 5.2.3110beta0 --- 10.03.2026
- [298866] #fsert FALL_THROUGH src/server/agent/java/src/inform/agent/db/sql/engine/Engine.java
- [298867] #fsert FALL_THROUGH src/server/agent/java/src/inform/agent/db/sql/engine/GenerateCondition.java
- [298865] #fsert FALL_THROUGH src/server/agent/java/src/inform/agent/db/expr/DVValueEvaluator.java
- [298868] #fsert FALL_THROUGH src/server/agent/java/src/inform/agent/scripts/expr/SSTableCompare.java
- [297775] #fsert FB.SE_NO_SERIALVERSIONID src/server/agent/java/src/inform/agent/db/ScrollableRowset.java
+ [298822] FileSystem.createZipReader: для BinaryObject вызывается автоматическое удаление временного файла после вызова метода close()
- [297779] #fsert SIMILAR_BRANCHES src/server/agent/java/src/inform/agent/mtd/request/GetUserListFor.java
+ [298149] ограничения в лицензиях по коду продукта, учет действия лицензии по ограничению по периоду действия лицензии и даты сборки сервера
- [297921] #fsert Поля для сортировки при построения SQL-запроса. Сообщение диагностики: FB.EQ_DOESNT_OVERRIDE_EQUALS SortField.java
- [297920] #fsert Итерирование по результатам запросов к БД. Сообщение диагностики: EQ_DOESNT_OVERRIDE_EQUALS ScrollableRowset.java
- [297919] #fsert однонаправленная интерация по записям в БД. Сообщение диагностики: #fsert FB.EQ_DOESNT_OVERRIDE_EQUALS ForwardOnlyRowset.java
- [297918] #fsert Определение версии агента. Сообщение диагностики: FB.DM_BOXED_PRIMITIVE_FOR_PARSING AgentJARVersion.java
- [298724] #fsert DEREF_OF_NULL.EX ext/poi/poi-scratchpad/src/main/java/org/apache/poi/hslf/dev/SlideIdListing.java
- [298694] #fsert DEREF_OF_NULL.EX ext/commons-compress/src/main/java/org/apache/commons/compress/harmony/unpack200/bytecode/NewAttribute.java
- [298763] #fsert DEREF_OF_NULL.RET.LIB ext/poi/poi-ooxml/src/main/java/org/apache/poi/ooxml/POIXMLDocumentPart.java
- [298792] #fsert DEREF_OF_NULL.RET.STAT ext/poi/poi-ooxml/src/main/java/org/apache/poi/xssf/streaming/SXSSFSheet.java
- [298791] #fsert DEREF_OF_NULL.RET.STAT ext/pdfbox/pdfbox/src/main/java/org/apache/pdfbox/pdmodel/interactive/annotation/handlers/PDSquigglyAppearanceHandler.java
- [298766] #fsert DEREF_OF_NULL.RET.LIB ext/poi/poi-ooxml/src/main/java/org/apache/poi/poifs/crypt/dsig/facets/OOXMLSignatureFacet.java
- [298761] #fsert DEREF_OF_NULL.RET.LIB ext/pdfbox/pdfbox/src/main/java/org/apache/pdfbox/pdmodel/graphics/image/PDImageXObject.java
- [298760] #fsert DEREF_OF_NULL.RET.LIB ext/pdfbox/pdfbox/src/main/java/org/apache/pdfbox/pdmodel/font/FontMapperImpl.java
- [298042] #fsert Почта, IMAP аутентификация. Сообщение диагностики: SIMILAR_BRANCHE IMAPProtocol.java
- [298789] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.STAT ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/resource/Resource.java
- [298794] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.STAT ext/rhino/xmlimplsrc/org/mozilla/javascript/xmlimpl/XmlNode.java
- [298720] #fsert Сообщение диагностики: DEREF_OF_NULL.EX ext/netty/src/main/java/org/jboss/netty/channel/socket/nio/NioClientSocketPipelineSink.java
- [298721] #fsert Сообщение диагностики: DEREF_OF_NULL.EX ext/netty/src/main/java/org/jboss/netty/channel/socket/nio/NioDatagramWorker.java
- [298719] #fsert Сообщение диагностики: DEREF_OF_NULL.EX ext/netty/src/main/java/org/jboss/netty/channel/socket/nio/AbstractNioWorker.java
- [298800] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.STAT src/server/agent/java/src/inform/agent/scripts/metadata/ScriptNode.java
! [296905] Отчеты xlsx: строки сохраняются sharedStrings аналогично "толстому" клиенту
- [298606] #fsert Сообщение диагностики: FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/web/reports/document/DocCell.java
- [298592] #fsert Сообщение диагностики: FB.JLM_JSR166_UTILCONCURRENT_MONITORENTER ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/jsontype/impl/TypeNameIdResolver.java
- [298593] #fsert Сообщение диагностики: FB.JLM_JSR166_UTILCONCURRENT_MONITORENTER ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/ObjectReader.java
- [298603] #fsert Сообщение диагностики: FB.ICAST_INT_CAST_TO_FLOAT_PASSED_TO_ROUND src/server/agent/java/src/inform/agent/barcode/BarcodeRequest.java
- [298585] Схемы: Экспорт PDF - исправлен некорректный экспорт листов
- [298604] #fsert Сообщение диагностики: FB.NP_UNWRITTEN_FIELD src/server/agent/java/src/inform/agent/web/reports/controls/ReportDocument.java
- [298613] #fsert Сообщение диагностики: FB.SE_BAD_FIELD src/server/agent/java/src/inform/agent/scripts/WebCanvas.java
- [298611] #fsert Сообщение диагностики: FB.SE_BAD_FIELD src/server/agent/java/src/inform/agent/scripts/CallableStatement.java
- [298615] #fsert Сообщение диагностики: FB.SE_BAD_FIELD_STORE src/server/agent/java/src/inform/agent/scripts/WebCanvas.java
- [298614] #fsert Сообщение диагностики: FB.SE_BAD_FIELD src/server/agent/java/src/inform/agent/scripts/WebImage.java
- [298595] #fsert Сообщение диагностики: FB.SE_NO_SERIALVERSIONID src/server/agent/java/src/inform/agent/scripts/MailAttachment.java
- [298618] #fsert Сообщение диагностики: FB.SE_NO_SERIALVERSIONID src/server/agent/java/src/inform/agent/scripts/WebImage.java
- [298607] #fsert Сообщение диагностики: FB.SE_NO_SERIALVERSIONID src/server/agent/java/src/inform/agent/schemes/Paragraph.java
- [298616] #fsert Сообщение диагностики: FB.SE_NO_SERIALVERSIONID src/server/agent/java/src/inform/agent/scripts/TCRC32.java
- [298617] #fsert Сообщение диагностики: FB.SE_NO_SERIALVERSIONID src/server/agent/java/src/inform/agent/scripts/WebCanvas.java
- [298641] #fsert Сообщение диагностики: FB.SE_NO_SERIALVERSIONID src/server/agent/java/src/inform/agent/scripts/sql/Query.java
- [298647] #fsert Сообщение диагностики: FB.SE_NO_SERIALVERSIONID src/server/agent/java/src/inform/agent/scripts/SqlStatement.java
- [298591] #fsert Сообщение диагностики: FB.FE_FLOATING_POINT_EQUALITY src/server/agent/java/src/inform/agent/schemes/VsdxReader.java
- [298587] #fsert Сообщение диагностики: DEREF_AFTER_NULL src/server/agent/java/src/inform/agent/schemes/VsdxReader.java
- [298589] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.STAT src/server/agent/java/src/inform/agent/schemes/VsdxReader.java
- [297315] Устранена ошибка доступа к закрытым полям системных модулей в функции вывода размера выделяемой памяти для объекта
- [298291] #fsert конвертация JSON строк в системные пути, сообщение диагностики:(DEREF_OF_NULL.RET.LIB, NioPathDeserializer.java)
- [298289] #fsert превращение JSON в Java Map (словарь), сообщение диагностики:(DEREF_OF_NULL.EX, MapDeserializer.java)
- [298563] Информация о дебаг-версии пишется в поле AGENT_VERSION в сокращённом виде (dbg вместо debug) для паритета с ФСТЭК-версией
- [297385] Схемы: Экспорт VSDX - исправлен экспорт прозрачности у соединительных линий
- [298473] Схемы: Экспорт VSDX - скорректирован расчет смещения страницы и пересечения линий
- [298288] #fsert создание Java объекта из JSON:(DEREF_OF_NULL.EX, BeanDeserializer.java)
- [298439] #fsert фильтрация JSON, сообщение диагностики:(SIMILAR_BRANCHES, FilteringParserDelegate.java)
- [298440] #fsert определение кодировки JSON потока, сообщение диагностики:(SIMILAR_BRANCHES, ByteSourceJsonBootstrapper.java)
- [298475] Схемы: Экспорт PDF - исправлен некорректный экспорт габаритов страницы
- [298293] #fsert запись JSON потока в память, сообщение диагностики:(DEREF_OF_NULL.RET.STAT, TokenBuffer.java)
- [298292] #fsert превращение JSON строки в объект, сообщение диагностики:(DEREF_OF_NULL.RET.STAT, StdDeserializer.java)
+ [298547] формирование лицензий с кодом прикладного решения и ограничением на данные
- [298333] #fsert Сообщение диагностики: FB.JLM_JSR166_UTILCONCURRENT_MONITORENTER src/server/agent/java/src/inform/agent/web/NodeServlet.java
- [298597] #fsert Сообщение диагностики: FB.EQ_DOESNT_OVERRIDE_EQUALS src/server/agent/java/src/inform/agent/exchange/ConstantsSet.java
- [298598] #fsert Сообщение диагностики: FB.EQ_DOESNT_OVERRIDE_EQUALS src/server/agent/java/src/inform/agent/exchange/ExportNodesList.java
- [298596] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.LIB src/server/agent/java/src/inform/agent/net/request/GetFonts.java
- [298599] #fsert Сообщение диагностики: FB.SE_NO_SERIALVERSIONID src/server/agent/java/src/inform/agent/exchange/ExportNodesList.java
- [297360] dsl исправлено сохранение свойств итогов столбца грида в теговый поток
- [298479] dsl исправлено сохранение контрола формы схема в теговый поток
- [298612] #fsert параметр SchemeShapesOrderedFormat отключен из *.ini

--- 5.2.3109rc0 --- 04.03.2026
- [297830] #fsert Сообщение диагностики: FB.FE_FLOATING_POINT_EQUALITY src/server/agent/java/src/inform/agent/schemes/BaseGraphic.java
- [297431] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/web/reports/controls/ReportRow.java
- [296932] #fsert Сообщение диагностики: FB.SIC_INNER_SHOULD_BE_STATIC src/server/agent/java/src/inform/agent/web/reports/controls/ReportCell.java
- [296933] #fsert Сообщение диагностики: FB.SIC_INNER_SHOULD_BE_STATIC src/server/agent/java/src/inform/agent/web/reports/generators/ODSGenerator.java
- [296914] #fsert Сообщение диагностики: FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG src/server/agent/java/src/inform/agent/schemes/SchemesManager.java
- [298046,298045,298043] #fsert angus-mail: Сообщение диагностики: SIMILAR_BRANCHES IMAPSaslAuthenticator.java IMAPProtocol.java
- [297782] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.LIB src/server/agent/java/src/inform/agent/net/request/GetFonts.java
- [297781] #fsert Сообщение диагностики: DEREF_OF_NULL.EX src/server/agent/java/src/inform/agent/mtd/request/AuditImport.java
- [297799] #fsert Сообщение диагностики: FB.SE_BAD_FIELD src/server/agent/java/src/inform/agent/exchange/ExportNodesList.java
- [297797] #fsert Сообщение диагностики: FB.RV_RETURN_VALUE_IGNORED_BAD_PRACTICE src/server/agent/java/src/inform/agent/replication/ScriptReplicationsPack.java
- [297786] #fsert Сообщение диагностики: FB.DM_STRING_VOID_CTOR src/server/agent/java/src/inform/agent/exchange/ExchangeSettings.java
- [297793] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/replication/request/UploadNodeSet.java
- [298431] #fsert Сообщение диагностики: FB.STCAL_STATIC_SIMPLE_DATE_FORMAT_INSTANCE ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/util/StdDateFormat.java
- [298294] #fsert Сообщение диагностики: FB.AT_OPERATION_SEQUENCE_ON_CONCURRENT_ABSTRACTION ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/jsontype/impl/TypeNameIdResolver.java
- [298295] #fsert Сообщение диагностики: FB.AT_OPERATION_SEQUENCE_ON_CONCURRENT_ABSTRACTION ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/ObjectReader.java
- [297694] #fsert сообщения об ошибках при создании вотермарок в PDF, сообщение диагностики:(FB.REC_CATCH_EXCEPTION, PdfDocument.java)
- [298436] #fsert FB.WMI_WRONG_MAP_ITERATOR ext/jjwt/impl/src/main/java/io/jsonwebtoken/impl/DefaultJwtParser.java
- [298352] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/ser/impl/WritableObjectId.java
- [298351] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/node/NodeSerialization.java
- [298304] #fsert FB.BC_IMPOSSIBLE_INSTANCEOF ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/ser/std/JsonValueSerializer.java
- [298330] #fsert FB.ES_COMPARING_STRINGS_WITH_EQ ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/deser/std/EnumDeserializer.java
- [298329] #fsert FB.ES_COMPARING_PARAMETER_STRING_WITH_EQ ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/util/CompactStringObjectMap.java
- [298328] #fsert FB.ES_COMPARING_PARAMETER_STRING_WITH_EQ ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/deser/impl/BeanPropertyMap.java
- [298298] #fsert FB.BC_EQUALS_METHOD_SHOULD_WORK_FOR_ALL_OBJECTS ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/introspect/AnnotatedConstructor.java
- [298303] #fsert FB.BC_EQUALS_METHOD_SHOULD_WORK_FOR_ALL_OBJECTS ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/type/TypeBindings.java
- [298302] #fsert FB.BC_EQUALS_METHOD_SHOULD_WORK_FOR_ALL_OBJECTS ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/introspect/VirtualAnnotatedMember.java
- [298301] #fsert FB.BC_EQUALS_METHOD_SHOULD_WORK_FOR_ALL_OBJECTS ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/introspect/AnnotatedParameter.java
- [298300] #fsert FB.BC_EQUALS_METHOD_SHOULD_WORK_FOR_ALL_OBJECTS ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/introspect/AnnotatedMethod.java
- [298296] #fsert FB.BC_EQUALS_METHOD_SHOULD_WORK_FOR_ALL_OBJECTS ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/introspect/AnnotatedClass.java
- [298299] #fsert FB.BC_EQUALS_METHOD_SHOULD_WORK_FOR_ALL_OBJECTS ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/introspect/AnnotatedField.java
- [296945] #fsert Сообщение диагностики: NULL_AFTER_DEREF src/server/agent/java/src/inform/agent/web/reports/generators/PdfGenerator.java
- [298151] Схемы: Импорт DRAWIO - доработан импорт заливки у таблиц
- [297433] #fsert FB.RV_RETURN_VALUE_IGNORED_BAD_PRACTICE src/server/agent/java/src/inform/agent/scripts/WebImage.java
- [297924] #fsert FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG src/server/agent/java/src/inform/agent/net/request/GetServerInfo.java
- [297796] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/document/CellData.java
- [297801] #fsert Сообщение диагностики: FB.SIC_INNER_SHOULD_BE_STATIC src/server/agent/java/src/inform/agent/replication/ScriptReplicationsPack.java
- [297800] #fsert Сообщение диагностики: FB.SIC_INNER_SHOULD_BE_STATIC src/server/agent/java/src/inform/agent/exchange/ExchangeSettings.java
- [297794] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/mtd/TicketEngine.java
- [297805] #fsert Сообщение диагностики: FB.UUF_UNUSED_FIELD src/server/agent/java/src/inform/agent/exchange/ExchangeSettings.java
- [297454] #fsert генерация HTML отчетов в web версии клиента, сообщение диагностики:(FB.URF_UNREAD_FIELD, DocumentGenerator.java)
- [297767] #fsert INVARIANT_RESULT ext/commons-codec/src/main/java/org/apache/commons/codec/binary/Base16.java
- [297730] #fsert Сообщение диагностики: DYNAMIC_OVERFLOW.EX src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxGeometry.java
- [297752] #fsert Сообщение диагностики: FB.FE_FLOATING_POINT_EQUALITY src/server/agent/java/src/inform/agent/schemes/VsdxReader.java
- [297726] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.STAT src/server/agent/java/src/inform/agent/schemes/VsdxReader.java
- [297682] #fsert HANDLE_LEAK src/server/agent/java/src/inform/agent/scripts/SSLTest.java
- [297458] #fsert обработка окончаний в формате "Число прописью", сообщение диагностики:(TAINTED_ARRAY_INDEX, CurrencyFormat.java)
- [297783] #fsert Сообщение диагностики: FB.DLS_DEAD_LOCAL_STORE_SHADOWS_FIELD src/server/agent/java/src/inform/agent/replication/request/UploadNodeSet.java
- [297784] #fsert Сообщение диагностики: FB.DM_STRING_CTOR src/server/agent/java/src/inform/agent/mtd/TicketEngine.java
- [297944] #fsert Сообщение диагностики: FB.ST_WRITE_TO_STATIC_FROM_INSTANCE_METHOD src/server/agent/java/src/inform/agent/scripts/sql/GenericQueryNode.java
- [297923] #fsert Сообщение диагностики: FB.HE_EQUALS_NO_HASHCODE src/server/agent/java/src/inform/agent/scripts/BinaryObject.java
- [297759] #fsert Сообщение диагностики: FB.SIC_INNER_SHOULD_BE_STATIC src/server/agent/java/src/inform/agent/scripts/CryptoLibrary.java
- [297731] #fsert Сообщение диагностики: DYNAMIC_OVERFLOW src/server/agent/java/src/inform/agent/scripts/textutils/TextExtractor.java
- [297753] #fsert Сообщение диагностики: FB.HE_EQUALS_NO_HASHCODE ext/commons-logging/src/main/java/org/apache/commons/logging/impl/WeakHashtable.java
- [297771] #fsert Сообщение диагностики: DYNAMIC_OVERFLOW src/server/agent/java/src/inform/agent/schemes/SchemeObject.java
- [297439] #fsert экспорт схем с изображениями, сообщение диагностики:(FB.URF_UNREAD_FIELD, ImageInfo.java)
- [297954] #fsert Построение SQL-запроса. Сообщение диагностики: SIMILAR_BRANCHES QueryInSqlBuilder.java
- [297442] #fsert задание CSS стилей для web-отчетов, сообщение диагностики:(DEREF_OF_NULL.EX, DocumentGenerator.java)
- [297493] dsl поисков вместо функции в теговый поток записывается параметр в выражении поля
- [297493] dsl поисков не записывается в теговый поток значение функции nvl
- [297432] #fsert генерация отчетов с таблицами, сообщение диагностики:(FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE, DocRow.java)
- [297492] dsl поисков не записываются в теговый поток значения sql-вставок
- [298456] dsl поисков не записывать в теговый поток левую часть пользовательского условия
- [298433] #fsert Работа с источником для сквозной аутентификации на основе JWT. Сообщение диагностики: FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD JWT.java
- [297789] #fsert Сообщение диагностики: FB.HE_EQUALS_NO_HASHCODE src/server/agent/java/src/inform/agent/exchange/ConstantsSet.java
- [297787] #fsert Сообщение диагностики: FB.HE_EQUALS_NO_HASHCODE src/server/agent/java/src/inform/agent/exchange/ExportNodesList.java
- [297804] #fsert Сообщение диагностики: FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/mtd/request/AddNode.java
- [297802] #fsert Сообщение диагностики: FB.ST_WRITE_TO_STATIC_FROM_INSTANCE_METHOD src/server/agent/java/src/inform/agent/mtd/TicketEngine.java
- [297680] #fsert Сообщение диагностики: FB.SE_NO_SERIALVERSIONID src/server/agent/java/src/inform/agent/scripts/DirectoryField.java
- [297681] #fsert Сообщение диагностики: FB.SE_NO_SERIALVERSIONID src/server/agent/java/src/inform/agent/schemes/Paragraph.java
- [297792] #fsert Сообщение диагностики: FB.LI_LAZY_INIT_UPDATE_STATIC src/server/agent/java/src/inform/agent/web/utils/Color.java
- [297791] #fsert Сообщение диагностики: FB.LI_LAZY_INIT_STATIC src/server/agent/java/src/inform/agent/mtd/TicketEngine.java
- [297729] #fsert Сообщение диагностики: DIVISION_BY_ZERO.EX ext/hunspell/hashmgr.cxx
- [297778] #fsert вызов модулей через wasm/web, сообщение диагностики:(HANDLE_LEAK, ModuleServlet.java)
- [297817] #fsert конвертация числа в буквенный формат, сообщение диагностики:(FB.DLS_DEAD_LOCAL_STORE, CurrencyFormat.java)
- [297776] #fsert отображение иконок в web версии, сообщение диагностики:(HANDLE_LEAK, IconServlet.java)
- [297777] #fsert серверный запрос файлов wasm/web, сообщение диагностики:(HANDLE_LEAK, StaticContentServlet.java)
- [298402] #fsert JJWT Сообщение диагностики: FB.SE_BAD_FIELD PrivateECKey.java
- [297828] #fsert передача файлов в web версии, сообщение диагностики:(HANDLE_LEAK, BlobBinaryServlet.java)
- [298438] #fsert Сообщение диагностики: NO_LOCK.STAT.EX ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/ser/SerializerCache.java
- [298422] #fsert Сообщение диагностики: FB.SF_DEAD_STORE_DUE_TO_SWITCH_FALLTHROUGH ext/jackson-core/src/main/java/com/fasterxml/jackson/core/json/UTF8DataInputJsonParser.java
- [298307] #fsert JWT. Сообщение диагностики: FB.DLS_DEAD_LOCAL_STORE JWT.java
- [298306] Постоянные сессии для wasm-клиента. Сообщение диагностики: #fsert FB.DLS_DEAD_LOCAL_STORE PersistentSessionEngine.java
- [298305] #fsert Схемы: сообщения об ошибке экспорта, фаззинг. Сообщение диагностики: FB.DLS_DEAD_LOCAL_STORE Converter.java

--- 5.2.3108beta8 --- 02.03.2026
- [297448] #fsert Сообщение диагностики: FB.REC_CATCH_EXCEPTION src/server/agent/java/src/inform/agent/scripts/SMTPConnection.java
- [297727] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.STAT src/server/agent/java/src/inform/agent/scripts/crypto/CryptoSoapSignature.java
- [297721] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX src/server/agent/java/src/inform/agent/schemes/VsdxReader.java
- [297438] #fsert генерация отчетов в wasm/web версиях, сообщение диагностики:(FB.URF_UNREAD_FIELD, ReportTask.java)
- [297443] #fsert FB.BC_VACUOUS_INSTANCEOF src/server/agent/java/src/inform/agent/mtd/nodes/ExtFilesNode.java
- [297441] #fsert DEREF_OF_NULL.EX src/server/agent/java/src/inform/agent/mtd/request/UpdateHistoryEntries.java
- [297424] #fsert работа с BLOB-файлами, сообщение диагностики:(FB.DLS_DEAD_LOCAL_STORE, BlobBinaryServlet.java)
- [297453] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/mtd/nodes/ExtFilesNode.java
- [297447] #fsert FB.EQ_DOESNT_OVERRIDE_EQUALS src/server/agent/java/src/inform/agent/db/request/CheckConstraints.java
- [297831] #fsert Сообщение диагностики: FB.ICAST_INT_CAST_TO_FLOAT_PASSED_TO_ROUND src/server/agent/java/src/inform/agent/barcode/BarcodeRequest.java
- [297832] #fsert Сообщение диагностики: FB.ICAST_INT_CAST_TO_FLOAT_PASSED_TO_ROUND src/server/agent/java/src/inform/agent/scripts/pdf/PdfDocument.java
- [297251] #fsert NO_LOCK.STAT.EX src/server/agent/java/src/inform/agent/Request.java
- [297436] #fsert Сообщение диагностики: FB.SE_BAD_FIELD src/server/agent/java/src/inform/agent/scripts/WebCanvas.java 
- [297451] #fsert Сообщение диагностики: FB.SE_BAD_FIELD src/server/agent/java/src/inform/agent/scripts/CallableStatement.java
- [297435] #fsert Сообщение диагностики: FB.SE_BAD_FIELD src/server/agent/java/src/inform/agent/scripts/TCRC32.java
- [297437] #fsert Сообщение диагностики: FB.SE_BAD_FIELD src/server/agent/java/src/inform/agent/scripts/WebImage.java
- [297452] #fsert Сообщение диагностики: FB.SE_BAD_FIELD src/server/agent/java/src/inform/agent/scripts/MailAttachment.java
- [297679] #fsert Сообщение диагностики: FB.SE_BAD_FIELD src/server/agent/java/src/inform/agent/scripts/DirectoryField.java
- [297942] #fsert Сообщение диагностики: FB.SE_BAD_FIELD src/server/agent/java/src/inform/agent/scripts/sql/Query.java
- [297943] #fsert Сообщение диагностики: FB.SE_BAD_FIELD src/server/agent/java/src/inform/agent/scripts/SqlStatement.java
- [297773] #fsert Заковычивание атрибутов, старый веб-клиент. Сообщение диагностики: FALL_THROUGH HtmlUtils.java
- [298124] #fsert Сообщение диагностики: FALL_THROUGH DFormExtButton.java
- [298123] #fsert Сообщение диагностики: FALL_THROUGH ConstantTerm.java
- [297774] #fsert Итератор по коллекциям. Сообщение диагностики: FALL_THROUGH Collections.java
- [297428] #fsert чтение SWF файлов, сообщение диагностики:(FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG, ImageInfo.java)
+ [297026] Схемы: Импорт VSDX - приклеивание к контуру полилинии, полигона, прямоугольника, эллипса
- [297427] #fsert работа с SWF файлами, сообщение диагностики:(FB.DLS_DEAD_LOCAL_STORE, ImageInfo.java)
- [297252] #fsert SIMILAR_BRANCHES src/server/agent/java/src/inform/agent/mtd/nodes/TableNode.java
- [297250] #fsert NO_LOCK.STAT.EX src/server/agent/java/src/inform/agent/mtd/nodes/NodeHashTable.java
- [297194] #fsert DEREF_OF_NULL.RET.LIB src/server/agent/java/src/inform/agent/DataFormat.java
- [297236] #fsert FB.STCAL_INVOKE_ON_STATIC_CALENDAR_INSTANCE src/server/agent/java/src/inform/agent/RequestStatistics.java
- [297234] #fsert FB.SE_BAD_FIELD src/server/agent/java/src/inform/agent/scripts/ServerSideTable.java
- [297233] #fsert FB.SE_BAD_FIELD src/server/agent/java/src/inform/agent/scripts/metadata/UserAccessRightsHistoryEntity.java
- [297244] #fsert FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/mtd/MetadataNodeReader.java
- [297226] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/mtd/MetadataNodeReader.java
- [297457] #fsert FB.UUF_UNUSED_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/Ini.java
- [297462] #fsert DEREF_OF_NULL.EX src/server/agent/java/src/inform/agent/exchange/PexImportProcess.java
- [297690] #fsert FB.FE_FLOATING_POINT_EQUALITY src/server/agent/java/src/inform/agent/schemes/SchemeUtils.java
- [296937] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/web/forms/WebGrid.java
- [297768] #fsert DEREF_OF_NULL.RET.STAT src/server/agent/java/src/inform/agent/web/forms/components/WebDatasource.java

--- 5.2.3108beta7 --- 27.02.2026
- [297245] #fsert FB.UUF_UNUSED_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/mtd/SearchMetatreeNodeData.java
- [297227] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/mtd/SearchMetatreeNodeData.java
- [297414] не копируются узлы типа таблица
- [297198] #fsert сериализация данных БД в бинарный формат, сообщение диагностики:(FB.DLS_DEAD_LOCAL_STORE, AbstractDataRequest.java)
- [296986] #fsert Сообщение диагностики (FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE, PageNumbers.java)
- [296922] Схемы: Импорт DRAWIO - исправлен некорректный импорт соединительных линий
- [297934] Схемы: Импорт DRAWIO - доработан импорт контейнеров
- [297379] Схемы: Импорт DRAWIO - доработан импорт градиента для библиотечных примитивов
- [297193] #fsert digest аутентификация, сообщение диагностики:(DEREF_OF_NULL.EX, Session.java)
- [297356] dsl исправлено сохранение свойства граница у поля ввода в теговый поток
- [297367] dsl исправлено сохранение описания расчетного модуля в теговый поток
- [297369] dsl исправлено сохранение свойства тип приложения у компонента внешнее приложение в теговый поток
- [297365] dsl исправлена запись свойства настройка значения по умолчанию поля сопоставленного с первичным ключом источника
- [297361] dsl исправлено сохранение параметров запуска в теговый поток
- [297374] dsl исправлено сохранение параметров синхронизации в теговый поток
- [297375] dsl исправлено сохранение свойства нумеровать пункты компонента контекстное меню в теговый поток
- [297373] dsl исправлено сохранение значение по умолчанию 0 дробного поля

--- 5.2.3108beta6 --- 25.02.2026
- [297209] #fsert установка времени ожидания выполнения запроса SQL сообщение диагностики:(FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG, SqlStatement.java)
- [297208] #fsert контроль лимитов памяти, сообщение диагностики:(FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG, ScriptableRequest.java)
- [296935] #fsert Сообщение диагностики: FB.ST_WRITE_TO_STATIC_FROM_INSTANCE_METHOD src/server/agent/java/src/inform/agent/scripts/pdf/PdfDocument.java
- [296906] #fsert Сообщение диагностики: FB.EC_UNRELATED_TYPES_USING_POINTER_EQUALITY src/server/agent/java/src/inform/agent/scripts/pdf/PdfDocument.java
- [296909] #fsert Сообщение диагностики: FB.ICAST_IDIV_CAST_TO_DOUBLE src/server/agent/java/src/inform/agent/scripts/pdf/PdfDocument.java
- [297246] #fsert Сообщение диагностики: FB.UWF_UNWRITTEN_PUBLIC_OR_PROTECTED_FIELD src/adt/java/src/inform/adt/NumberConverter.java
- [297230] #fsert Сообщение диагностики: FB.RV_RETURN_VALUE_IGNORED_BAD_PRACTICE src/server/agent/java/src/inform/agent/web/rq/BlobData.java
- [297238] #fsert Сообщение диагностики: FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/web/forms/components/WebMenu.java
- [297237] #fsert Сообщение диагностики: FB.UPM_UNCALLED_PRIVATE_METHOD src/server/agent/java/src/inform/agent/db/commit/CommitRequest.java
- [297231] #fsert Сообщение диагностики: FB.SE_BAD_FIELD src/server/agent/java/src/inform/agent/db/ScrollableRowset.java
- [297249] #fsert Сообщение диагностики: NO_LOCK.STAT.EX src/server/agent/java/src/inform/agent/ActionHooks.java
- [297191] #fsert Сообщение диагностики: DEREF_OF_NULL.EX src/server/agent/java/src/inform/agent/scripts/ServerSideTableStorer.java
- [297192] #fsert Сообщение диагностики: DEREF_OF_NULL.EX src/server/agent/java/src/inform/agent/web/rq/CommitRecords.java
- [297225] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/db/utils/SqlParameterValue.java
- [297189] #fsert Сообщение диагностики: DEREF_OF_NULL.EX src/server/agent/java/src/inform/agent/db/request/ExecuteStoredProcedure.java
- [297207] #fsert вывод форматированного размера файла, сообщение диагностики:(FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG, DebugLibrary.java)
- [297206] #fsert механизм работы с длительными операциями, сообщение диагностики:(FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG, ActionHooks.java)
- [297315] Исправлена функция, показывающая размер выделяемой на объект памяти в серверном модуле
- [297204] #fsert расчёт потребляемой объектом памяти в серверном модуле, сообщение диагностики:(FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG, ObjectSizer.java)
- [297202] #fsert FB.EQ_DOESNT_OVERRIDE_EQUALS src/server/agent/java/src/inform/agent/ActionHooks.java
- [297200] #fsert FB.DM_NEXTINT_VIA_NEXTDOUBLE src/server/agent/java/src/inform/agent/db/schema/Restructure.java
- [297195] #fsert добавление данных в таблицу через старый web интерфейс, сообщение диагностики:(FALL_THROUGH, CommitRecords.java)
- [297197] #fsert FB.DLS_DEAD_LOCAL_STORE src/server/agent/java/src/inform/agent/am/AMRequest.java
- [297196] #fsert FB.AT_OPERATION_SEQUENCE_ON_CONCURRENT_ABSTRACTION src/server/agent/java/src/inform/agent/db/connect/DatabaseDescriptor.java
- [297248] #fsert INVARIANT_RESULT src/server/agent/java/src/inform/agent/SmartNumberConverter.java
- [297247] #fsert FB.UWF_UNWRITTEN_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/db/connect/DatabaseDescriptor.java
- [297229] #fsert FB.RV_RETURN_VALUE_IGNORED_BAD_PRACTICE src/server/agent/java/src/inform/agent/scripts/BlobFileField.java
- [296980] #fsert добавление вотермарок в PDF, сообщение диагностики:(FB.SIC_INNER_SHOULD_BE_STATIC, PdfDocument.java)
- [297232] #fsert FB.SE_BAD_FIELD src/server/agent/java/src/inform/agent/scripts/Directory.java
- [296979] #fsert добавление вотермарок в PDF, сообщение диагностики:(FB.DLS_DEAD_LOCAL_STORE, PdfDocument.java)
- [297219] #fsert переименование внутреннего метода. Сообщение диагностики: FB.NM_METHOD_NAMING_CONVENTION Datasource.java
- [297199] #fsert FB.DLS_DEAD_LOCAL_STORE src/server/agent/java/src/inform/agent/net/request/Ping.java
- [297224] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/Core.java
- [297243] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/web/forms/WebPanel.java
- [297242] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/web/forms/WebPages.java
- [297241] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/web/forms/WebImage.java
- [297240] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/web/forms/WebGrid.java
- [297239] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/web/forms/WebFrame.java

--- 5.2.3108beta5 --- 24.02.2026
- [296990] #fsert открытие документа word в серверном модуле, сообщение диагностики:(FB.REC_CATCH_EXCEPTION, WordDocument.java)
- во время незавершенного выполнения возвращать значение свтойства Worker.result undefined
- [296902] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.LIB src/server/agent/java/src/inform/agent/scripts/pdf/PdfDocument.java
- [296903] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.LIB src/server/agent/java/src/inform/agent/web/reports/generators/PdfGenerator.java
- [296911] #fsert Сообщение диагностики: FB.ICAST_INT_CAST_TO_FLOAT_PASSED_TO_ROUND src/server/agent/java/src/inform/agent/barcode/BarcodeRequest.java
- [296912] #fsert Сообщение диагностики: FB.ICAST_INT_CAST_TO_FLOAT_PASSED_TO_ROUND src/server/agent/java/src/inform/agent/scripts/pdf/PdfDocument.java
- [296931] #fsert Сообщение диагностики: FB.SIC_INNER_SHOULD_BE_STATIC src/server/agent/java/src/inform/agent/scripts/zip/GZipWriter.java
- [297221] #fsert Генерация SQL: сообщение диагностики: FB.NM_METHOD_NAMING_CONVENTION FieldBindList.java
- [297218] #fsert Запрос ReplaceNodeDependencies: сообщение диагностики: FB.NM_METHOD_NAMING_CONVENTION BasicNode.java
- [297217] #fsert Запрос GetLogEntryAttrs, Восстановление удалённых узлов: сообщение диагностики: FB.NM_METHOD_NAMING_CONVENTION MtdEngine.java
- [297215] #fsert Очищение корзины, сообщение диагностики: FB.NM_METHOD_NAMING_CONVENTION EmptyTrash.java, DeleteNode.java
- [297210] #fsert Контроль размера объектов в памяти, собщение диагностики FB.IM_AVERAGE_COMPUTATION_COULD_OVERFLOW ScriptableRequest.java
- [296991] #fsert работа с документами Word на сервере, сообщение диагностики:(FB.URF_UNREAD_FIELD, WordFont.java)

--- 5.2.3108beta4 --- 20.02.2026
- [297102] Схемы: Экспорт VSDX/PDF/ODG/SVG - поддержка экспорта EMF/WMF изображений
- [297150] Linux: чаще используем LF вместо CRLF в окончании строк логов, где это возможно
- [296981] #fsert добавление вотермарок в PDF, сообщение диагностики:(FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD, PdfDocument.java)
- [296829] Схемы: Импорт VSDX - импорт свойства "PrintPageOrientation"
- [297001] #fsert Сообщение диагностики: FB.DMI_RANDOM_USED_ONLY_ONCE ext/commons-codec/src/main/java/org/apache/commons/codec/digest/UnixCrypt.java
- [297002] #fsert Сообщение диагностики: FB.EQ_DOESNT_OVERRIDE_EQUALS ext/commons-logging/src/main/java/org/apache/commons/logging/impl/WeakHashtable.java
- [297056] dsl в поиске разный порядок источников поиска, не хватает источника
- [297013] #fsert Сообщение диагностики: FB.SS_SHOULD_BE_STATIC ext/commons-codec/src/main/java/org/apache/commons/codec/binary/BaseNCodec.java
- [296998] #fsert Сообщение диагностики: FALL_THROUGH ext/commons-codec/src/main/java/org/apache/commons/codec/digest/PureJavaCrc32.java
- [296999] #fsert Сообщение диагностики: FALL_THROUGH ext/commons-codec/src/main/java/org/apache/commons/codec/digest/PureJavaCrc32C.java
- [297019] #fsert Сообщение диагностики: SIMILAR_BRANCHES ext/commons-codec/src/main/java/org/apache/commons/codec/language/ColognePhonetic.java
- [297020] #fsert Сообщение диагностики: SIMILAR_BRANCHES ext/commons-codec/src/main/java/org/apache/commons/codec/language/DoubleMetaphone.java
- [296997] #fsert Сообщение диагностики: FALL_THROUGH ext/commons-codec/src/main/java/org/apache/commons/codec/digest/MurmurHash3.java
- [296995] #fsert Сообщение диагностики: FALL_THROUGH ext/commons-codec/src/main/java/org/apache/commons/codec/binary/Base32.java
- [296996] #fsert Сообщение диагностики: FALL_THROUGH ext/commons-codec/src/main/java/org/apache/commons/codec/digest/MurmurHash2.java
- [296897] Схемы: Импорт DRAWIO - улучшен импорт пользовательских объектов
- [297010] #fsert Сообщение диагностики: FB.SF_SWITCH_FALLTHROUGH src/server/agent/java/src/inform/agent/scripts/textutils/ExtractionDataInfo.java
- [297015] #fsert Сообщение диагностики: FB.UUF_UNUSED_FIELD src/server/agent/java/src/inform/agent/scripts/CryptoLibrary.java
- [297003] #fsert Сообщение диагностики: FB.FE_FLOATING_POINT_EQUALITY src/server/agent/java/src/inform/agent/schemes/PhxImage.java
- [296961] #fsert Сообщение диагностики: FB.ST_WRITE_TO_STATIC_FROM_INSTANCE_METHOD src/server/agent/java/src/inform/agent/db/request/RecordRefsCountRequest.java
- [296994] #fsert Сообщение диагностики: DEREF_OF_NULL.EX.COND src/server/agent/java/src/inform/agent/db/commit/CommitRequest.java
- [297005] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/Paragraph.java
- [297011] #fsert Сообщение диагностики: FB.SIC_INNER_SHOULD_BE_STATIC src/server/agent/java/src/inform/agent/scripts/CryptoLibrary.java
- [296950] #fsert Сообщение диагностики: FB.DM_BOXED_PRIMITIVE_FOR_PARSING src/server/agent/java/src/inform/agent/web/SchemeServlet.java
- [296958] #fsert Сообщение диагностики: FB.REC_CATCH_EXCEPTION src/server/agent/java/src/inform/agent/scripts/SSLTest.java
- [296959] #fsert Сообщение диагностики: FB.SE_BAD_FIELD src/server/agent/java/src/inform/agent/schemes/Paragraph.java
- [296960] #fsert Сообщение диагностики: FB.SE_BAD_FIELD src/server/agent/java/src/inform/agent/scripts/DirectoryField.java
- [296963] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/DiagramTable.java
- [297016] #fsert Сообщение диагностики: FB.WMI_WRONG_MAP_ITERATOR src/server/agent/java/src/inform/agent/scripts/libs/SoapLibrary.java
- [297017] #fsert Сообщение диагностики: FB.WMI_WRONG_MAP_ITERATOR src/server/agent/java/src/inform/agent/scripts/NetLibrary.java
- [297012] #fsert Сообщение диагностики: FB.SIC_INNER_SHOULD_BE_STATIC src/server/agent/java/src/inform/agent/scripts/libs/XmlLibrary.java
- [296992] #fsert Сообщение диагностики: DEREF_OF_NULL.EX src/server/agent/java/src/inform/agent/db/commit/CommitRequest.java
- [296993] #fsert Сообщение диагностики: DEREF_OF_NULL.EX src/server/agent/java/src/inform/agent/db/TableDescriptor.java
- [296962] #fsert Сообщение диагностики: FB.ST_WRITE_TO_STATIC_FROM_INSTANCE_METHOD src/server/agent/java/src/inform/agent/scripts/SSLTest.java
- [296918] dsl не загружаются имена параметров, заданные в полях, но не заданные в параметрах
- [296374] dsl исправлено сохранение компонента запуск отчета в теговый поток
- [296164] dsl исправлено сохранение результата нажатия грида в теговый поток
- [296984] #fsert Сообщение диагностики: FB.ES_COMPARING_STRINGS_WITH_EQ src/server/agent/java/src/inform/agent/mtd/obj/DForm.java
- [296648] dsl исправлено сохранение опций форматов у формы
- [296972] #fsert Сообщение диагностики: FB.DE_MIGHT_IGNORE src/server/agent/java/src/inform/agent/mtd/obj/DActualPoint.java
- [296974] #fsert Сообщение диагностики: FB.DLS_DEAD_LOCAL_STORE src/adt/java/src/inform/adt/LittleEndian.java
- [296977] #fsert Сообщение диагностики: FB.SS_SHOULD_BE_STATIC src/server/agent/java/src/inform/agent/mtd/obj/DFormatOptions.java
- [296968] #fsert Сообщение диагностики: FB.FE_FLOATING_POINT_EQUALITY src/server/agent/java/src/inform/agent/schemes/VsdxWriter.java
- [296967] #fsert Сообщение диагностики: FB.FE_FLOATING_POINT_EQUALITY src/server/agent/java/src/inform/agent/schemes/TableCell.java
- [296966] #fsert Сообщение диагностики: FB.FE_FLOATING_POINT_EQUALITY src/server/agent/java/src/inform/agent/schemes/SchemeUtils.java
- [296973] #fsert Сообщение диагностики: FB.DLS_DEAD_LOCAL_STORE ext/commons-math/src/main/java/org/apache/commons/math3/random/SobolSequenceGenerator.java
- [296976] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/BaseGraphic.java
- [296957] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/scripts/SSLTest.java
- [296952] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/PhxImage.java
- [296989] #fsert Сообщение диагностики: FB.REC_CATCH_EXCEPTION src/server/agent/java/src/inform/agent/scripts/textdocuments/odt/OdtDocument.java
- [296646] dsl исправлена ошибка при которой при преобразовании в dsl не записывалось значение поля по умолчанию
- [296891] dsl исправлено сохранение соответствия полей у компонента выбор записей формой в теговый поток
- [296850] dsl исправлено сохранение свойства типы узлов у контрола дерево метаданных в теговый поток
- [296169] dsl исправлено сохранение свойства контролов расположение в теговый поток
- [297096] dsl исправлено сохранение параметров отчета в теговый поток

--- 5.2.3108beta3 --- 18.02.2026
- [296987] #fsert FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/db/PhenixLinks.java
- [296845] dsl доработка параметров запуска форм
- [296179] усилены проверки версии клиента при оповещении о новой версии
- [296448] Схемы: Экспорт VSDX - улучшен экспорт схем, содержащих подложку
- [292171] Схемы: Экспорт VSDX - исправлен некорректный экспорт положения фигур
- [296247] Схемы: Импорт VSDX - установка размера страницы для печати на основании параметра "PaperKind"
- [296773] dsl в компоненте запуск формы не правильно записывается свойство не показывать параметры
- [296676] dsl не сохраняется точка актуальности, если нет узла, иногда не прочитывается  скрипт формы
- [296650] исправлена ошибка уничтожения файла с архивом после работы zipReader
- [296672] dsl не совпадает порядок тегов у компонента запуск формы
- [296661] dsl не совпадают теги у параметров фрейма узла дерева данных
- [296594] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/Scheme.java
- [296562] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.STAT src/server/agent/java/src/inform/agent/schemes/VsdxReader.java
- [296589] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/PrimControlPoint.java
- [296593] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/Region.java
- [296591] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/Primitive.java
- [296577] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/Paragraph.java
- [296559] #fsert Сообщение диагностики: FB.WMI_WRONG_MAP_ITERATOR src/server/agent/java/src/inform/agent/schemes/converters/vsdx/EmfReader.java
- [296563] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxShape.java
- [296166] dsl исправлено сохранение параметров запуска в теговый поток
- [292902] Схемы: рефакторинг кода импорта Excel для организационной диаграммы

--- 5.2.3108beta2 --- 12.02.2026
- [296416] #fsert чтение файла шрифта (harfbuzz), сообщение диагностики:(INTEGER_OVERFLOW, hb-blob.cc)
- [296533] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/BaseGraphic.java
- [296492] #fsert чтение JSON (jackson-core), сообщение диагностики:(DEREF_AFTER_NULL.EX.COND, TextBuffer.java)
- [296575] #fsert Сообщение диагностики: FB.SE_BAD_FIELD src/server/agent/java/src/inform/agent/schemes/Paragraph.java
- [296578] #fsert Сообщение диагностики: FB.HE_EQUALS_NO_HASHCODE  src/server/agent/java/src/inform/agent/schemes/Paragraph.java
- [296490] #fsert генерация JSON в UTF8 (jackson-core), сообщение диагностики:(DEREF_AFTER_NULL.EX.COND, UTF8JsonGenerator.java)
- [296479] #fsert поиск внутри JSON (jackson-databind), сообщение диагностики:(DEREF_AFTER_NULL.EX, JsonNode.java)
- [296491] #fsert экранирование символов, отчистка буфера JSON (jackson-core), сообщение диагностики:(DEREF_AFTER_NULL.EX.COND, WriterBasedJsonGenerator.java)
+ [296428] возможность получения записи справочника по ID, если первичный ключ справочника имеет строковый тип
- [296489] #fsert фильтрация JSON (jackson-core), сообщение диагностики:(DEREF_AFTER_NULL.EX.COND, FilteringParserDelegate.java)
- [296566] #fsert Сообщение диагностики: FB.LI_LAZY_INIT_UPDATE_STATIC src/server/agent/java/src/inform/agent/schemes/DxfWriter.java
- [296597] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/SchemeEngine.java
- [296596] #fsert Сообщение диагностики: FB.FE_FLOATING_POINT_EQUALITY src/server/agent/java/src/inform/agent/schemes/SchemeEngine.java
- [296513] #fsert DEREF_OF_NULL.ASSIGN src/server/agent/java/src/inform/agent/scripts/Datasource.java
- [296511] #fsert DEREF_OF_NULL.ASSIGN ext/unboundid-ldapsdk/src/com/unboundid/util/ssl/cert/ManageCertificates.java
- [296558] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/OdgWriter.java
- [296598] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/SchemePage.java
- [296586] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/Pie.java
- [296588] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/Polyline.java
- [296592] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/RectTextLine.java
- [296574] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/Image.java
- [296585] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/PhxLayer.java
- [296587] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/Polygon.java
- [296599] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.LIB src/server/agent/java/src/inform/agent/schemes/SchemeUtils.java
- [296600] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/SchemeUtils.java
- [296601] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/Spline.java
- [296603] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/Table.java
- [296604] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/TableCell.java
- [296569] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/Ellipse.java
- [296572] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/GraphicBlock.java
- [296582] #fsert Сообщение диагностики: FB.NM_METHOD_NAMING_CONVENTION src/server/agent/java/src/inform/agent/schemes/PhxGraphicInsert.java
- [296581] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/PhxGraphicInsert.java
- [296584] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/PhxImage.java
- [296580] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.STAT src/server/agent/java/src/inform/agent/schemes/PdfWriter.java
- [296579] #fsert Сообщение диагностики: FB.FE_FLOATING_POINT_EQUALITY src/server/agent/java/src/inform/agent/schemes/PdfWriter.java
- [296573] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/GraphicInsert.java
- [296487] #fsert DEREF_AFTER_NULL.EX.COND src/server/agent/java/src/inform/agent/scripts/sql/expr/cnd/CompareOperation.java
- [296567] #fsert Сообщение диагностики: FB.FE_FLOATING_POINT_EQUALITY src/server/agent/java/src/inform/agent/schemes/DxfWriter.java
- [296540] #fsert Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/odg/content/OdgStyleParagraphProperties.java
- [296515] #fsert Сообщение диагностики: DEREF_OF_NULL.ASSIGN ext/angus-mail/providers/jakarta.mail/target/generated-sources/dependencies/org/eclipse/angus/mail/imap/protocol/IMAPProtocol.java
- [296473] #fsert Сообщение диагностики: BAD_COPY_PASTE ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/unboundidds/tools/ParallelUpdate.java
- [296510] #fsert Сообщение диагностики: DEREF_OF_NULL.ASSIGN ext/unboundid-ldapsdk/src/com/unboundid/ldif/LDIFWriter.java
- [296509] #fsert Сообщение диагностики: DEREF_OF_NULL.ASSIGN ext/unboundid-ldapsdk/src/com/unboundid/ldif/LDIFReader.java
- [296467] #fsert Сообщение диагностики: BAD_COPY_PASTE ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/unboundidds/extensions/ListConfigurationsExtendedResult.java
- [296478] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX ext/commons-compress/src/main/java/org/apache/commons/compress/archivers/tar/TarArchiveOutputStream.java
- [296484] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX.COND ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/unboundidds/tools/JSONLDAPResultWriter.java
- [296494] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX.COND ext/poi/poi-ooxml/src/main/java/org/apache/poi/xwpf/usermodel/XWPFPictureData.java
- [296496] #fsert Сообщение диагностики: DEREF_OF_NULL.ASSIGN ext/rhino/src/org/mozilla/javascript/Parser.java
- [296498] #fsert Сообщение диагностики: DEREF_OF_NULL.ASSIGN ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/AddRequest.java
- [296501] #fsert Сообщение диагностики: DEREF_OF_NULL.ASSIGN ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/Entry.java
- [296504] #fsert Сообщение диагностики: DEREF_OF_NULL.ASSIGN ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/RoundRobinDNSServerSet.java
- [296507] #fsert Сообщение диагностики: DEREF_OF_NULL.ASSIGN ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/unboundidds/extensions/GetConfigurationExtendedRequest.java
- [296512] #fsert Сообщение диагностики: DEREF_OF_NULL.ASSIGN src/server/agent/java/src/inform/agent/scripts/crypto/CryptoCipher.java
- [296475] #fsert Сообщение диагностики: CHECK_AFTER_OVERFLOW ext/commons-compress/src/main/java/org/apache/commons/compress/compressors/deflate64/HuffmanDecoder.java
- [296517] #fsert Сообщение диагностики: DEREF_OF_NULL.ASSIGN ext/poi/poi/src/main/java/org/apache/poi/hssf/record/cf/ColorGradientFormatting.java
- [296539] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/odg/content/OdgStyleGraphicsProperties.java
- [296534] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/BaseShape.java
- [296514] #fsert DEREF_OF_NULL.ASSIGN src/server/agent/java/src/inform/agent/scripts/ServerSideTableStorer.java
- [296537] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/schemes/converters/odg/content/OdgMeasure.java
- [296485] #fsert DEREF_AFTER_NULL.EX.COND src/server/agent/java/src/inform/agent/db/sql/engine/Generate.java
- [296476] #fsert DEREF_AFTER_NULL.EX src/server/agent/java/src/inform/agent/db/commit/CommitRequest.java
- [296483] #fsert DEREF_AFTER_NULL.EX.COND ext/rhino/src/org/mozilla/javascript/regexp/RegExpImpl.java
- [296538] #fsert FB.FE_FLOATING_POINT_EQUALITY src/server/agent/java/src/inform/agent/schemes/OdgReader.java
- [296482] #fsert DEREF_AFTER_NULL.EX.COND ext/rhino/src/org/mozilla/javascript/EmbeddedSlotMap.java
- [296532] #fsert FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/Attribute.java
- [296480] #fsert DEREF_AFTER_NULL.EX ext/jetty.project/jetty-server/src/main/java/org/eclipse/jetty/server/session/AbstractSessionIdManager.java
- [296481] #fsert DEREF_AFTER_NULL.EX ext/jetty.project/jetty-server/src/main/java/org/eclipse/jetty/server/session/SessionHandler.java
- [296493] #fsert DEREF_AFTER_NULL.EX.COND ext/jetty.project/jetty-io/src/main/java/org/eclipse/jetty/io/nio/SslConnection.java
- [296508] #fsert DEREF_OF_NULL.ASSIGN ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/unboundidds/tools/ManageAccountProcessor.java
- [296505] #fsert DEREF_OF_NULL.ASSIGN ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/unboundidds/controls/JoinBaseDN.java
- [296506] #fsert DEREF_OF_NULL.ASSIGN ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/unboundidds/controls/JoinRule.java
- [296502] #fsert DEREF_OF_NULL.ASSIGN ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/GSSAPIBindRequest.java
- [296503] #fsert DEREF_OF_NULL.ASSIGN ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/LDAPConnectionPool.java
- [296499] #fsert DEREF_OF_NULL.ASSIGN ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/ChangeLogEntry.java
- [296497] #fsert DEREF_OF_NULL.ASSIGN ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/AbstractConnectionPool.java
- [295725] удален неиспользуемый код из библиотеки unboundid-ldapsdk
- [296500] #fsert DEREF_OF_NULL.ASSIGN ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/controls/MatchedValuesFilter.java
- [296516] #fsert DEREF_OF_NULL.CONST src/server/agent/java/src/inform/agent/mtd/obj/search/DSearchEntryParameters.java
- [296495] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX.COND ext/poi/poi-scratchpad/src/main/java/org/apache/poi/hwmf/draw/HwmfGraphics.java
- [296486] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX.COND src/server/agent/java/src/inform/agent/schemes/OdgWriter.java
- [273344] не кешировать блокировку пользоватедя при превышении количества неправилильно введенного пароля, писать в лог до какого времен заблокирован,
- [296273] Пакет: Excel - доработан метод copyRow на потенциальный NullPointerException
- [293544] Схемы: Экспорт VSDX - доработан экспорт фона у подложки/страницы
- [296560] #fsert FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxDocumentParser.java
- [296564] #fsert FB.URF_UNREAD_FIELD src/server/agent/java/src/inform/agent/schemes/converters/vsdx/themes/VsdxThemeParser.java
- [296605] #fsert FB.REC_CATCH_EXCEPTION src/server/agent/java/src/inform/agent/schemes/VisioOldFormatsConverter.java

--- 5.2.3108beta1 --- 09.02.2026
+ [293784] #dk Доработка дизайнера текстового представления Расчетного модуля
- [296342] ошибка при проверке ссылочной целостности при удалении записей из таблиц, если есть таблица с текстовым представлением, содержащим ошибки
- [296335] dsl ошибка преобразование в бинарный вид параметров отчета, фрейма, фрейма в узле дерева даных, запуска расчетного модуля и синхронизации параметров фрейма
+ [296260] dsl Прототип объектного представления узла отчета
- [295736] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/unboundidds/tools/LDAPModify.java
- [293590] Схемы: Экспорт PDF - исправлен некорректный экспорт схемы, содержащей направляющую
- [295114] Схемы: Экспорт PDF - исправлен экспорт стилей линии
- [294557] Схемы: Экспорт PDF - исправлен некорректный экспорт схемы с отключенной разметкой
- [296089] #fsert DEREF_AFTER_NULL.EX ext/netty/src/main/java/org/jboss/netty/handler/codec/http/multipart/HttpPostRequestEncoder.java
           удален исходный неиспользуемый код из ext/netty/src/main/java/org/jboss/netty/example/ ext/netty/src/main/java/org/jboss/netty/handler/codec/http/multipart/
- [296057] #fsert Генератор значений поля, сообщение диагностики: DEREF_AFTER_NULL.EX, FieldValueGenerator.java
- [296077] #fsert сериализация JSON (jackson-databind), сообщение диагностики:(DEREF_AFTER_NULL.EX, DefaultSerializerProvider.java)
- [296079] #fsert DEREF_AFTER_NULL.EX ext/jetty.project/jetty-server/src/main/java/org/eclipse/jetty/server/session/AbstractSessionIdManager.java
- [296081] #fsert DEREF_AFTER_NULL.EX ext/jetty.project/jetty-server/src/main/java/org/eclipse/jetty/server/session/AbstractSessionManager.java
- [296082] #fsert DEREF_AFTER_NULL.EX ext/jetty.project/jetty-server/src/main/java/org/eclipse/jetty/server/session/SessionHandler.java
- [296086] #fsert DEREF_AFTER_NULL.EX ext/jetty.project/jetty-util/src/main/java/org/eclipse/jetty/util/thread/QueuedThreadPool.java
- [296084] #fsert DEREF_AFTER_NULL.EX ext/jetty.project/jetty-servlet/src/main/java/org/eclipse/jetty/servlet/ServletHandler.java
- [296083] #fsert DEREF_AFTER_NULL.EX /ext/jetty.project/jetty-servlet/src/main/java/org/eclipse/jetty/servlet/DefaultServlet.java
- [295720] #fsert DEREF_AFTER_NULL.EX ext/rhino/src/org/mozilla/javascript/optimizer/BodyCodegen.java
! [294879] Обновлён драйвер MySQL (Connector/J) до версии 9.6.0
- [295719] #fsert DEREF_AFTER_NULL.EX ext/rhino/src/org/mozilla/javascript/NativeCall.java
- [295717] #fsert DEREF_AFTER_NULL.EX ext/rhino/src/org/mozilla/javascript/Context.java
- [295718] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX ext/rhino/src/org/mozilla/javascript/Interpreter.java
- [296096] #fsert Сообщение диагностики: PASSED_TO_PROC_AFTER_FREE.EX ext/hunspell/hashmgr.cxx
- [296069] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX ext/commons-compress/src/main/java/org/apache/commons/compress/archivers/sevenz/SevenZFile.java
- [296070] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX ext/commons-compress/src/main/java/org/apache/commons/compress/archivers/sevenz/SevenZOutputFile.java
- [296078] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX ext/jaf-api/api/src/main/java/jakarta/activation/MailcapCommandMap.java
- [296071] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX ext/commons-compress/src/main/java/org/apache/commons/compress/archivers/tar/TarArchiveOutputStream.java
- [296062] #fsert DEREF_AFTER_NULL.EX src/server/agent/java/src/inform/agent/scripts/Datasource.java
- [296055] #fsert DEREF_AFTER_NULL.EX src/server/agent/java/src/inform/agent/db/sql/engine/Engine.java
- [296056] #fsert DEREF_AFTER_NULL.EX src/server/agent/java/src/inform/agent/db/sql/engine/Generate.java
- [296064] #fsert DEREF_AFTER_NULL.EX src/server/agent/java/src/inform/agent/scripts/metadata/ScriptTableUserNode.java
- [296058] #fsert DEREF_AFTER_NULL.EX src/server/agent/java/src/inform/agent/files/BFS.java
- [296087] #fsert DEREF_AFTER_NULL.EX ext/jsoup/src/main/java/org/jsoup/helper/HttpConnection.java
- [295744] #fsert DEREF_AFTER_NULL.EX src/server/agent/java/src/inform/agent/db/commit/CommitRequest.java
- [296091] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX ext/poi/poi/src/main/java/org/apache/poi/hssf/extractor/OldExcelExtractor.java
- [296088] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX ext/jsoup/src/main/java/org/jsoup/parser/HtmlTreeBuilder.java
- [295712] #fsert CONFUSING_INDENTATION src/server/agent/java/src/inform/agent/db/sql/SimpleSqlBuilder.java
- [295711] #fsert CONFUSING_INDENTATION src/server/agent/java/src/inform/agent/db/sql/engine/Engine.java
- [295734] #fsert отключена компиляция примеров из сборки DEREF_AFTER_NULL.EX ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/unboundidds/examples/SummarizeAccessLog.java
- [295724] #fsert DEREF_AFTER_NULL.EX ext/unboundid-ldapsdk/src/com/unboundid/ldap/listener/InMemoryRequestHandler.java
- [296060] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX src/server/agent/java/src/inform/agent/schemes/RectTextLine.java
- [296061] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX src/server/agent/java/src/inform/agent/schemes/SvgWriter.java
- [295730] #fsert DEREF_AFTER_NULL.EX ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/RoundRobinServerSet.java
- [295286] dsl исправлено сохранение признака видимости пункта меню в теговый поток
- [295279] dsl исправлено сохранение выравнивания в столбцах грида в теговый поток
- [296162] dsl исправлено сохранение опций форматов
- [296176] dsl исправлено сохранение компонента безопасность в теговый поток
- [296167] dsl исправлено сохранение свойства грида тип индикатора в теговый поток
- [296165] dsl исправлено сохранение свойства грида показывать выделенную ячейку в теговый поток
- [296168] dsl исправлено сохранение свойства набора вкладок видимость границ в теговый поток
- [296173] dsl исправлено сохранение контрола формы поле ввода в теговый поток

--- 5.2.3108beta0 --- 02.02.2026
- [296067] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX src/server/agent/java/src/inform/agent/web/utils/Font.java
- [295714] #fsert Сообщение диагностики: CONFUSING_IDENTATION ext/jaf-api/api/src/main/java/jakarta/activation/MimeTypeParameterList.java
- [295710] #fsert Сообщение диагностики: CHECK_AFTER_OVERFLOW ext/commons-compress/src/main/java/org/apache/commons/compress/compressors/deflate64/HuffmanDecoder.java
- [295721] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX ext/rhino/src/org/mozilla/javascript/optimizer/OptTransformer.java
- [295728] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/Filter.java
- [295731] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/transformations/TransformLDIF.java
- [295739] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/unboundidds/tools/ManageAccountSearchOperation.java
- [295402] #fsert Фаззинг-тестирование: исправлено определение имени архива с клиентом-wasm
- [295684] #fsert Сообщение диагностики: BAD_COPY_PASTE ext/poi/poi-scratchpad/src/main/java/org/apache/poi/hwpf/dev/HWPFLister.java
- [295526] #fsert BAD_COPY_PASTE src/server/agent/java/src/inform/agent/sched/Sched.java
+ новые иконки
- [295684] #fsert Сообщение диагностики: BAD_COPY_PASTE ext/poi/poi-scratchpad/src/main/java/org/apache/poi/hwpf/dev/HWPFLister.java
- [295723] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX ext/rhino/src/org/mozilla/javascript/UintMap.java
- [295591] #fsert ошибка при определении максимального размера блока памяти в алгритмах шифрования INVARIANT_RESULT ext/putty/utils/memory.c
- [295560] #fsert отключен код ответсвеный за INTEGER_OVERFLOW ext/putty/crypto/mpint.c
- [295592] #fsert отключен код ответсвеный за MEMORY_LEAK.EX ext/putty/utils/cert-expr.c
+ [293802] dsl Объектное представление параметров серверного модуля
- [295713] #fsert сообщение диагностики: CONFUSING_INDENTATION, GenerateReportRequest.java
- [295715] #fsert сообщение диагностики: CONFUSING_IDENTATION, HttpFields.java
+ [268107] Схемы: Поддержка импорта формата файла *.drawio
- [295287] dsl исправлено сохранение границ страницы набора вкладок в теговый поток
- [295749] dsl исправлено сохранение свойства расположение контролов в теговый поток
- [295282] исправлен список ключевых и зарезервированных слов JS для проверки валидности скриптового имени
- исправлена кодировка исходного файла

--- 5.2.3107beta3 --- в разработке
+ [295507] пакет Mail: добавлен метод "moveMessage" для объекта Folder
- [295270] Отчеты pdf: исправлена ошибка вывода коротких текстов и номеров страниц в колонтитулы
- [295280] dsl исправлено сохранение свойства возможности перетаскивания узла дерева в теговый поток
+ [294709] обеспечение требований к паролям по длине (отдельно для пользователей, служебных поьзователей, администраторов)
           по настройке сложных паролей недолжно содержать имя пользователя, наличие букв в разныхрегистрах, цифр и спец символов
           не должно содержать трех и более подряд одинаковых символов или трех и более смежных символов клавиатуры(по горизонтали)
           блокировка по заданному количеству неуспешных попыток входа и на заданный промежуток времени
           срок действия паролей отдельно для пользователей, администраторов кроме служебных поьзователей

--- 5.2.3107beta2 --- 28.01.2026
- [295414] #fsert ldap: Сообщение диагностики FB.RV_RETURN_VALUE_OF_PUTIFABSENT_IGNORED GenerateMessages.java
+ [293793] dsl Объектное представление секции компонент серверного модуля
- [295106] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxChart.java
- [295093] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxChart.java
- [295088] #fsert Сообщение диагностики: VSDX темы (FB.DLS_DEAD_LOCAL_STORE VsdxThemeParser.java)
- [295089] #fsert Сообщение диагностики: Импорт VSDX (FB.DLS_DEAD_LOCAL_STORE VsdxReader.java)
- [295110] #fsert Схемы: Импорт VSDX - Сообщение диагностики: SIMILAR_BRANCHES src/server/agent/java/src/inform/agent/schemes/VsdxReader.java
- [295099] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxTabs.java
- [295084] #fsert Схемы: Импорт VSDX - Сообщение диагностики: BAD_COPY_PASTE src/server/agent/java/src/inform/agent/schemes/VsdxReader.java
- [295104] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.UCF_USELESS_CONTROL_FLOW_NEXT_LINE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxShape.java
- [295105] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/schemes/converters/vsdx/themes/VsdxThemeParser.java
- [295100] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxTextParser.java
- [295101] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxUtils.java
- [295098] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxShape.java
- [295107] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxPageParser.java
- [295096] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxGeometryRow.java
- [295091] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/themes/VsdxTheme.java
- [295097] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxParagraph.java
- [295095] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxGeometry.java
- [295108] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxShape.java
- [295109] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.UUF_UNUSED_FIELD src/server/agent/java/src/inform/agent/schemes/VsdxReader.java
- [295094] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxControlPoint.java
- [295102] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/VsdxReader.java
- [295092] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxCharacter.java
- [295086] #fsert Схемы: Экспорт VSDX - Сообщение диагностики: DEREF_OF_NULL.EX.COND src/server/agent/java/src/inform/agent/schemes/VsdxWriter.java
- [295103] #fsert Схемы: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/VsdxWriter.java
- [295087] #fsert Схемы: FB.BC_VACUOUS_INSTANCEO src/server/agent/java/src/inform/agent/schemes/VsdxWriter.java
! [294994] #fsert Обновлены зависимости для работы с КриптоПро JCP R4 (2.0.41940-А)
- [295085] #fsert Схемы: DEREF_OF_NULL.EX.COND src/server/agent/java/src/inform/agent/schemes/VsdxWriter.java
- [294998] #fsert Добавлен подсчёт контрольных сумм для ошибочно не контролируемых java-библиотек
+ [294710] свойство узла Сервер Аутентификация/Ограничение неуспешных попыток подключений, время блокировки (минуты), --auth.fail.delay.minute в командной строке, auth.fail.delay.minute в pha.conf
+ [294877] учет dsl таблиц в запросе получения контентов узлов при запуске формы
+ [294775] применение dsl структуры таблицы к субд
- [294473] dsl исправлено сохранение тега <Tag67/> компонента Запуск формы в теговый поток
- [294487] dsl исправлено сохранение выражения у поля модели данных в теговый поток
- [294478] dsl исправлено сохранение min_value, max_value тегов в опции формата столбца
- [294467] dsl исправлено сохранение заголовка контекстного меню в теговый поток
- [294482] dsl исправлено сохранение порядка тегов у параметров формы
- [294493] dsl исправлено сохранение текстового описания сплиттера и грида в теговый поток
- [294491] dsl исправлено сохранение текстового описания узла дерева данных в теговый поток
- [294484] dsl исправлено сохранение настроек разворота столбцов и ячеек дерева данных в теговый поток
- [294486] dsl исправлено сохранение сообщения при загрузке данных грида в теговый поток
- [295274] dsl исправлено сохранение столбцов грида в теговый поток
- [295289] dsl исправлено сохранение описания у рисунка и надписи в теговый поток
- [295283] dsl исправлено сохранение контрола формы флажок в теговый поток
- [295284] dsl исправлено сохранение контрола формы закладки в теговый поток

--- 5.2.3107beta1 --- 19.01.2026
+ [293158] dsl Объектное представление связей структуры таблицы
+ [293799] dsl Объектное представление секции свойств серверного модуля
+ [294555] при проверке структур системных таблиц проверять размеры строковых полей и обновлять их по необходимости
! [294559] #fsert: отключение создания spdx во время сборки Commons-Compress
- [294525, 294524] !исключение отладчика rhino в js.jar
- [293611] #fsert исправление для устаревшего web-клиента. Сообщение диагностики FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG FetchRecords.java
- [293592] #fsert добавлена проверка границ параметра api устаревшего web-клиента. Сообщение диагностики TAINTED_INT FetchRecords.java
+ [293159] dsl объектное представление ограничений структуры таблицы
- [293616] #fsert исправлена не статическая синхронизация доступа к статическим полям при сборе трассы запросов для тестов, WRONG_LOCK.STATIC AsmoLogger.java: 56, 61, 72, 81
+ [293157] dsl объектное представление индексов структуры таблицы
- [294443] Схемы: доработана возможность проверки содержимого схем из локального кеша и с сервера в отладочном режиме с учетом сортировки элементов схемы
- [294469] dsl исправлено сохранение свойства recursiveKeyField у узла дерева в теговый поток

--- 5.2.3107beta0 --- 29.12.2025
+ [293156] dsl объектное представление полей структуры таблицы

--- 5.2.3106 --- 26.12.2025
- [293505] не переподключается закрытое соединение
- [293618] Excel: исправлена работа метода copyRow

--- 5.2.3105 --- 26.12.2025
- [293505] определять функцию overrideDatabaseSettings только в расчетных модулях и расчетных таблицах

--- 5.2.3104 --- 26.12.2025
- [293396] Схемы: Импорт VSDX - скорректирован расчет полей ячеек при импорте вложенного файла Excel
+ [291444] Пакет Mail: N53399 - Реализация протокола IMAP
+ [293208] Пакет Mail: N53659 - Реализация протокола SMTPS: добавлена возможность указания протокола TLS
- [293105] Схемы: Импорт VSD - доработки импорта из формата VSD
- [293402] dsl исправлено объектное представление дополнительных кнопок навигатора данных
- [293566] dsl исправлено сохранение ячеек дерева в теговый поток
- [293567] dsl исправлено сохранение контрола формы - поле ввода в теговый поток
- [293634] dsl исправлено сохранение описания у контекстного меню в теговый поток
- [293404] dsl исправлено сохранение компонента выбор записей формой в теговый поток
- [293582] Исправлена ошибка, при которой таблица неправильно отображалась в логе репликации

--- 5.2.3104beta1 --- 22.12.2025
+ [293505] возможность переопределить содинение к БД из скрипта overrideDatabaseSettings
+ [293487] канал обновления браузерной версии если не задан брать от канала обновления агента
+ [293245] параметр командной строки --wasm.ver для ограничения версии браузерного клиента
- [293319] Схемы: Импорт ODG - исправлен импорт настроек форматирования изображения
- [293131] dsl исправлено сохрание тегов у компонента загрузчик скриптов
- [293315] dsl исправлено сохранение свойства layout(Сетка) в теговый поток
- [293314] dsl исправлено сохранение видимости столбцов грида в теговый поток
- [293397] dsl исправлено сохранение описания панелей в теговый поток
- [293400] dsl исправлено сохранение свойства Грида - результат нажатия в теговый поток
- [293398] dsl исправлено сохранение компонента Ввод параметров в теговый поток
- [293399] dsl исправлено сохранение связи полей в теговый поток

--- 5.2.3104beta0 --- 18.12.2025
- [293299] #fsert Исправлена невозможность фаззинга целей с wasm клиентом из-за неправильного определения имени архива с клиентом
+ [293218] dsl объектно представление свойств структуры таблицы
+ [290839] dsl объектное представление контрола формы Календарь
- [293013] Excel: исправлена работа метода setCell
- [292999] dsl у пустого компонента запуска формы формируются лишние теги
- [293104] Схемы: Импорт VSDX - скорректирован импорт заголовков конетейнера
- [292998] dsl в форме некорректно преобразуется источник типа дерево
- [292996] dsl в форме не совпадает теговое представление синхронизации параметров компонента запуск узла
- [292934] Схемы: Импорт VSDX - скорректирован импорт точек геометрии для замкнутых фигур
- [293065] #fsert Сообщение диагностики: BAD_COPY_PASTE ext/unboundid-ldapsdk/.../InternalSDKHelper.java
- [293064] #fsert Сообщение диагностики: BAD_COPY_PASTE ext/pdfbox/.../PNGConverter.java
- [293026] fsert INTEGER_OVERFLOW src/adt/adt_unix.cpp
- [293029] #fsert src/inform/agent/web/rq/FetchRecords.java DEREF_OF_NULL.EX
- [293030] #fsert src/inform/agent/web/rq/FetchRecords.java DEREF_OF_NULL.RET.LIB
- [293032] #fsert src/inform/agent/web/rq/FetchRecords.java FB.ICAST_INTEGER_MULTIPLY_CAST_TO_LONG
+ [292897] возвращать runtime контенты узлов в запросе множественного получения контентов и итнофвормации узлов при запуске формы
- [293016] некорректно определяется версия обновления wasm обновления
- [292993] dsl улучшено преобразование в бинарное представления источников модели данных формы
+ [292898] возможность использовать dsl поисков в серверных модулях и в других поисках
- [292949] некорректно посылается информацию об агенте при присоединении к менеджеру агентов
- [292709] v6 jop->bin исправлено сохранение лишних тегов дерева данных
- [290597] v6 jop->bin исправлено сохранение шрифтов в теговый поток
- [292997] dsl исправлено сохранение лишних тегов компонента фильтра данных
- [292995] dsl исправлен порядок сохранения тегов для вкладок и наборов вкладок
- [293000] dsl исправлено сохранение лишних тегов в пустом компоненте Datalocator
- [293127] dsl исправлен порядок тегов у кнопок
- [293079] v6 jop->bin исправлена ошибка сохранения шрифтов по умолчанию
- [292992] dsl исправлено сохранение описания компонента запуска формы
- [293126] dsl исправлена ошибка unknown tags - отсутствует свойство layout для панели
- [292994] v6 dsl исправлен порядок тегов у кнопок
- [293129] v6 dsl исправлен порядок тегов у панелей
- [293130] dsl исправлено сохранение свойства контролов - действие
- [293132] dsl исправлен порядок сохранения тегов у навигатора данных

--- 5.2.3103beta1 --- 08.12.2025
- [291616] #fsert DEREF_OF_NULL.EX src/server/agent/java/src/inform/agent/web/rq/FetchRecords.java
- [291606] #fsert TAINTED_INT src/server/agent/java/src/inform/agent/web/rq/FetchRecords.java
+ [280791] Схемы: Импорт VSSX - импорт контрольных точек примитива библиотеки
+ [289826] объектное представление сохраненной процедуры узла Поиск
+ [289825] объектное представление вложенных источников узла Поиск
+ [292738] Отчеты XLSX: добавлено для формул свойство precalcValue
- [291852] Отчеты: в xlsx исправлена работа с датами
! [292277] Excel: исправлена ошибка присваивания значения ячейке скриптом
+ [291323] v6 Запуск таблиц и поисков - системная функция создания объектного представления формы для отображения данных
+ [291324] v6 Запуск таблиц и поисков - запрос получения контента формы
+ [291863] Добавлена возможность генерировать штрих-коды в Расчётном Модуле
- [292702] v6 jop->bin исправлена ошибка запуска формы: Invalid tag TAG_VEER_...
- [292715] v6 jop->bin исправлена ошибка запуска формы: Invalid tag TAG_FCTREE_VEER_STATIC_KEY
- [292713] v6 jop->bin исправлено объектное представление свойства контролов формы Выражение (Expression)

--- 5.2.3103beta0 --- 01.12.2025
- [292699] Добавлен дополнительный лог для ошибки запроса групп пользователя по ldap
+ [291629] Схемы: Импорт VSDX - конвертация в таблицу вложенных XLS/XLSX файлов
- [291998] #fsert TAINTED_INT ext/pdfbox/fontbox/src/main/java/org/apache/fontbox/type1/Type1Lexer.java
- [291651] #fsert src/server/agent/java/src/inform/agent/scripts/AsmoFormatter.java TAINTED_INT.LOOP.MIGHT
! [292277] Excel: исправлена ошибка присваивания значения ячейке скриптом
! [291886] рефакторинг версионирования
- [292186] Схемы: Экспорт PDF - NullPointerException при экспорте схемы
- [291401] Схемы: Экспорт VSDX - исправлено выравнивание по вертикали для заголовка контейнера

--- 5.2.3102 --- 25.11.2025
- VsdxReader диагностика шрифтов

--- 5.2.3100 --- 25.11.2025
- [292162] Схемы: более подробный вывод ошибки NullPointerException при вызове sun.awt.FontConfiguration
! [291974] Исходные тексты на java переведены на UTF-8
- [291660] Схемы: Импорт VSDX - скорректирована установка свойства "Вписывать"  для текста фигуры
- [291660] Схемы: Экспорт VSDX - скорректирована установка выравнивания по вертикали для текста фигуры
! [291870] #fsert В версиях под ФСТЭК не разрешается более двух параллельных сессий для Администраторов
- [291628] Схемы: Импорт VSDX - не импортировался текст для пустых блоков
+ [270995] Схемы: включение клиентских шрифтов при экспорте в pdf
- [291600] #fsert сообщение диагностики: DEREF_AFTER_NULL.EXext/hunspell/hashmgr.cxx (портировано из 5.2.3056 --- beta2)
- [291646] #fsert сообщение диагностики: PASSED_TO_PROC_AFTER_FREE.EX ext/hunspell/hashmgr.cxx (портировано из 5.2.3056 --- beta2)
- [291598] #fsert сообщение диагностики: DEREF_AFTER_NULL.EX ext/hunspell/affixmgr.cxx (портировано из 5.2.3056 --- beta2)
- [291650] #fsert сообщение диагностики: SIMILAR_BRANCHES ext/hunspell/affixmgr.cxx (портировано из 5.2.3056 --- beta2)
- [291649] #fsert сообщение диагностики: INVARIANT_RESULT ext/hunspell/affixmgr.cxx (портировано из 5.2.3056 --- beta2)
- [291643] fsert сообщение диагностики: TAINTED_INT ext/commons-compress/src/main/java/org/apache/commons/compress/archivers/ar/ArArchiveInputStream.java
- [291605] fsert сообщение диагностики: TAINTED_INT ext/pdfbox/fontbox/src/main/java/org/apache/fontbox/type1/Type1Lexer.java
- [291602] fsert сообщение диагностики: ext/putty/utils/tree234.c DEREF_AFTER_NULL.EX
- [291604] fsert сообщение диагностики: ext/putty/utils/tree234.c DEREF_AFTER_NULL.EX.COND
- [291716] #fsert сообщение диагностики: INTEGER_OVERFLOW adt/adt_strings.cpp
+ [289822] dsl объектное представление условий узла Поиск
- [291782] Импорт VSD: доработка импорта из vsd
- [288385] исправление иконки 202 ft_double

--- 5.2.3076 --- 13.11.2025
+ [289824] dsl v6 объектное представление выражений полей узла Поиск
- [291437] писать в лог, если невозможно запустить job по причине недостаточных прав доступа
- [290136] Схемы: Экспорт PDF - исправлен некорректный экспорт схемы
- [290998] v6 dsl доработка текстового представления дочерних контролов формы
- [290599] v6 dsl доработка Metadata.getDslSpec
- [291550] v6 dsl исправлена ошибка дублирования компонентов в секции для контролов

--- 5.2.3075 --- 10.11.2025
- [291404] некорректно определяется признак перевода поля типа дата время по формату при возврате записей данных
+ Text.binaryToString проверка BOM utf-8 и принудительная смена кодировки если есть BOM

--- 5.2.3074 --- 10.11.2025
- [291351] Схемы: Экспорт PDF - экспорт подложки работает аналогично Visio
+ [289821] dsl объектное представление подчиненных источников узла Поиск
+ [290230] dsl объектное представление параметров источников узла Поиск
- устранен NPE при обработке строки подключения к БД
- [291228] dsl исправлена функция getNodeContentAsText, чтобы она могла принимать контент узла

--- 5.2.3073 --- 01.11.2025
+ [290635] при подключении клиента возвращать серверный часовой пояс, если он включен
- [290741] Исправлено неправильное отображение выбранных значений справочников

--- 5.2.3072 --- 31.20.2025
- [290670] при старте агента прочитывать содержимое узла сервер из таблицы метаданных, а не из кеша узлов, чтобы не закешировались штампы контентов узлов без временной зоны, которая прочитывается из узла серевер
- [290683] Схемы: Экспорт PDF - доработка междустрочного интервала
+ [289225] Схемы: Экспорт VSDX - формирование геометрии для отображения пересечения динамических соединительных линий
+ [289820] dsl представление источников узла Поиск
- [290600] dsl исправлено описание перечислений, которые использовали русское название
- Исправлена синтаксическая ошибка в диагностическом сообщении о максимальной длине поля

--- 5.2.3071 --- 28.10.2025
- [290553] Схемы: Экспорт VSDX - NullPointerException при экспорте схемы
- fix minclient agent limitations
! [290483] Исправлена ошибка из-за которой неполное конфигурирование шаблонного пользователя для синхронизации по ldap могло привести к невозможность авторизоваться через kerberos
+ [289347] Схемы: Экспорт PDF/SVG/ODG/VSDX - настройки форматирования изображения (яркость, градиент, гамма)
                  Импорт ODG - настройки форматирования изображения (яркость, градиент, гамма)
- [290390] Исправлена невозможность авторизации пользователя с синхронизацией по ldap при отстутствии необязательных полей в таблице пользователей
- [290359] dsl исправлена некорректная загрузка и отображение точки актуальности  по значению
+ [289916] v6 JOP Metadata.getDslSpec(nodeType) для форм
- [290429] v6 dsl Ошибка запуска формы: неверный размер тега (5, 15) при загрузке объектного представления Грида

--- 5.2.3070 --- 22.10.2025
- [290237] Отчеты: для pdf учитывается цвет фона отдельных текстов
+ [289348] Схемы: импорт VSDX - импорт настроек форматирования изображения (яркость, градиент, гамма)
+ [288112] Возможность добавления водяных знаков к PDF файлам
- [290146] Схемы: импорт VSDX - скорректирован импорт диаграмм для возможности их выделения по click
+ [289819] dsl Объектное представление свойств узла Поиск
+ [289917] dsl прототип текстового представления поиска
- [289259] Схемы: Экспорт PDF - NullPointerException при экспорте схемы
- [289644] dsl ошибка при загрузке в объектоное представление: для объекта типа inform.agent.mtd.obj.DParameterSync не реализован метод loadScriptValue
- [289634] dsl в связке параметров отображать ссылки на контроля в виде ИД
- [289622] dsl missing ] after element list
- [289585] dsl не загружать повторяющиеся имена компонентов, контролов или источников
- [289482] dsl исправлено сохранения Грида (TAG_GRID_DISABLED_ACTIONS) в бинарное представление
- [289583] dsl для объекта типа DDisplayExpression был реализован метод loadScriptArrayItem
- [289541] jop=>bin сохранение дерева в теговый поток в таком же порядке, как в толстом клиенте
- [289643] dsl ошибка преобразования в бинарное представление: для объекта типа inform.agent.mtd.obj.DGridFooterRow не реализован метод loadScriptValue
- [289829] jop=>bin сохранение грида в теговый поток в таком же порядке, как в толстом клиенте
- [290105] dsl ошибка преобразования в бинарное представление: для объекта типа inform.agent.mtd.obj.DDatasourceSync не реализован метод loadScriptValue

--- 5.2.3069 --- 13.10.2025
- [288421] при сохранении в блоб-файл перемещать файл из временного каталога в постоянное место размещения использую атомарную функцию перемещения
+ [280605] v6 JOP объектное представление контрола формы Аналитическая таблица

--- 5.2.3068 --- 10.10.2025
- [289532] Схемы: добавлена иконка для вкладки указания цвета по цветовому коду в диалогах выбора цвета
- [289538] dsl=>jop не пересекать скриптовые объекты из dsl из разных секций
- [289507] некорректно формируется dsl=>jop настройки прав доступа
- [289506] некорректно формируется dsl текущего контрола  формы выбора параметра
- [289485] Некорректное преобразование dsl=>jop возвращаемых полей
- [282813] Отчеты xlsx: ячейки с типом Дата теперь имеют корректный формат в Excel
- [289484] dsl=>bin SQL-Оператор Тип присваиваемого свойства не совместим с типом присвоения
- [289401] dsl пропускать в текстовом представлении некорректные скриптовые имена, после добавления компонент или контролов публиковать компоненты со скриптовым именем
- [288632] Отчеты pdf: исправлена ошибка зацикливания при разбиении текста
+ [289340] #fsert При первом подключении администратора к пустой базе показывается окно установки пароля
+ [289321] #fsert в сертификационной сборке параметр сервера auth.password.different(запрет совпадения нового пароля с предыдущим) сделать всегда включенным
+ [288811] dsl добавлен упрощенный метод для проверки допустимости скриптового имени
- [289258] #fsert Минимальная длина пароля по умолчанию 8 символов в версии для ФСТЭК
- [289280] dsl доработан упрощенный метод для проверки допустимости скриптового имени
- [289346] dsl исправлена ошибка при получении объектного представления итогов Таблицы - Итоги по выделенным записям
- [289320] Схемы: исправлена ошибка связанная с загрузкой схемы

--- 5.2.3067 --- 06.10.2025
- [289219] Отчеты xlsx: исправлена ошибка обрезания длинных имен листов
- [289170] Схемы: импорт VSDX - скорректирован импорт диаграмм
- [288731] dsl исправлена ошибка при получении объектного представления контрола формы Таблица - Итоги
- [288734] dsl исправлена ошибка при получении объектного представления поля объектов - Выражение
- [288736] dsl исправлена ошибка при получении объектного представления столбца Таблицы

--- 5.2.3066 --- 01.10.2025
- [288751] wasm: исправлена ошибка аутентификации в wasm после доступа к анонимному ресурсу и гонки с получением телеметрии
- [288694] Схемы: импорт VSDX - для печати установка размера полей по умолчанию из стиля
- [288781] Схемы: экспорт SVG/PDF - доработано пересечение линий

--- 5.2.3065 --- 30.09.2025
- ошибка преобразования dsl=>bin действий компонентов формы
- [288614] Схемы: импорт VSSX/VSDX - скорректирован импорт текста фигур для примитивов библиотеки и вставки примитива
- [288745] Excel: при присваивании значения в ячейку учитывается тип ячейки
- [279925] Отчеты pdf: исправлена ошибка печати пустой таблицы

--- 5.2.3055 --- 29.09.2025
! [288007] #fsert Возвращены функции не входящие в сборку для ФСТЭК

--- 5.2.3054 --- 29.09.2025
! [288007] #fsert Отключены функции не входящие в сборку для ФСТЭК
- [288632] Отчеты pdf: исправлена ошибка формирования отчета
+ [287537] v6 JOP объектное представление контрола формы Дерево данных CONTROL_TREE - Ячейка узла дерева
+ [287543] v6 JOP объектное представление контрола формы Дерево данных CONTROL_TREE - Итоги дерева и столбца

--- 5.2.3053 --- 23.09.2025
+ [288351] писать в syslog факты запуска и завершения приложени, подключения и отключения пользователей
- [287981] Схемы: Экспорт DWG/DXF - атрибуты примитивов заменены на текстовые абзацы
+ [287535] v6 JOP объектное представление контрола формы Дерево данных CONTROL_TREE - Узел дерева
- [287053] Отчеты xlsx: исправлена ошибка реализации печати изображений, растянутых на несколько ячеек
+ [287534] v6 JOP объектное представление контрола формы Дерево данных CONTROL_TREE - Столбец дерева
- [288411] Отчеты ods: исправлена ошибка позиционирования картинок

--- 5.2.3052 --- 18.09.2025
- [287972] Схемы: импорт VSDX - скорректирован импорт геометрии при отсутствии значений свойств "FillPattern" и "LinePattern"
+ [287053] Отчеты xlsx: реализована поддержка печати изображений, растянутых на несколько ячеек
+ [287324] v6 JOP объектное представление контрола формы Таблица CONTROL_GRID - Итоги грида и столбца
+ [280603] v6 JOP объектное представление контрола формы Дерево данных CONTROL_TREE - Дерево
- [288121] #fsert DEREF_OF_NULL.RET.STAT PdfDocument.java

--- 5.2.3051 --- 09.09.2025
! [288007] #fsert использование специальных флагов компиляции для повышения безопасности
- [287856] v6 исправлены ошибки в текстовом представлении DExpression.argumentFieldIds, DFormDocument.groupsVisibility, DFormDocument.itemsVisibility
+ [287327] v6 JOP объектное представление контрола формы Таблица CONTROL_GRID - Столбец

--- 5.2.3050 --- 03.09.2025
- [287854] v6 ошибки в текстовом представлении DForm.shortcuts, DForm.extButtons, DDatasource.redefinedFields, DDatasource.returnedFields, изменен порядок именованных источников
+ [281122] Отчеты xlsx: добавлена поддержка печати документов

--- 5.2.3049 --- 02.09.2025
- [283983] Excel: исправлена работа функции evaluateCells
+ [287553] Схемы: Экспорт PDF - слои
- [287029] Отчеты xlsx: исправлена работа автофильтра
+ [287294] Pdf: добавлена функция удаления слоев clearStampLayer
+ [287294] Pdf: добавлена поддержка слоев для putStamp, putText, putLine
- [287466] #fsert UNCHECKED_FUNC_RES.STAT SchemeOpenRequest.java, ExtFilesNode.java, ConstantsNode.java, GetSQLText.java, Converter.java, SchemeObject.java
+ [270058] Схемы: экспорт VSDX - пересечение соединительных линий
+ [280600] v6 JOP объектное представление контрола формы Фрейм CONTROL_FRAME
+ [280612] v6 JOP объектное представление контрола формы Дерево метаданных CONTROL_METATREE
- [282621] v6 JOP Загрузка текстового представления в объектное DPopupMenuComponent.items и DPopupMenuItem.subMenuItems через DPopupMenuItems
- [287282]  Схемы: импорт Vsd - доработан импорт vsd -> vsdx
- [280561] v6 JOP объектное представление компонента Безопасность COMPONENT_SECURITY
+ [281082] v6 JOP объектное представление контрола формы Таблица CONTROL_GRID
- [287484] восстановлены константы пакета DataTypes

--- 5.2.3046 --- 19.08.2025
+ [280599] v6 JOP объектное представление контрола формы Панель инструментов CONTROL_DBNAVIGATOR
- [287153] Отчеты xlsx: исправлена ошибка формирования имен листов

--- 5.2.3045 --- 15.08.2025
- [286767] Отчеты xlsx: исправлена ошибка формирования отчета
- [286506] Отчеты xlsx: исправлена ошибка расчета смещения в ячейках таблиц
- [285743] Схемы: импорт Vsdx - исправлена ошибка импорта фигур, у которых размер тени был больше 100%
- [287020] Схемы: импорт Vsdx - исправлено некорректное определени типа тени фигуры
- [280582] v6 JOP объектное представление компонента Согласование COMPONENT_AGREEMENT
+ [287033] Схемы: импорт Vsdx - добавлен импорт свойства "Расположение" для типа тени "Перспектива"
+ [280564] v6 JOP объектное представление компонента Запуск узла COMPONENT_NODELAUNCHER

--- 5.2.3044 --- 12.08.2025
- [286520] #fsert сообщение диагностики: UNCHECKED_FUNC_RES.STAT at DataReplicationApplyEngine
- [286546] #fsert сообщение диагностики: UNCHECKED_FUNC_RES.STAT SchemeObject.java
- [280798] Схемы: исправлены ошибки в алгоритме применения темы к фигурам

--- 5.2.3043 --- 11.08.2025
- [286932] #fsert сообщение диагностики: UNCHECKED_FUNC_RES.STAT agent/web/AsyncExecutor.java
- [286918] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT agent/web/RequestTask.java
- [286520] Неправильно загружались pex

--- 5.2.3042 --- 11.08.2025 (не использовать не рабочая версия)
- [286083] Отчеты: исправлена ошибка обращения к несуществующей ячейке таблицы
- [273741] Схемы: экспорт DXF - не экпортировались фигуры скрытых слоев
- [286858] ошибка в текстовом представлении свойства accessRights
- [286838] ошибка в текстовом представлении свойства типы узлов
- [286843] доработка сохранения объектного преставления параметров в бинарное
- [280561] v6 JOP объектное представление компонента Безопасность COMPONENT_SECURITY

--- 5.2.3041 --- 07.08.2025
- [286834] не записываются параметры в бинарное представление при преобразовании из текствого
- [286550] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT Session.java
- [286557] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT WasmServlet.java
- [286459] #fsert сообщение диагностики: DEREF_OF_NULL.CONST jackson-databind JacksonAnnotationIntrospector.java
- [286437] #fsert сообщение диагностики: DEREF_OF_NULL.CONST jackson-databind EnumResolver.java
- [286436] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT jjwt EdwardsCurve.java
- [286532] #fsert сообщение диагностики: UNCHECKED_FUNC_RES.STAT unboundid-ldapsdk LDAPConnectionInternals.java
- [286465] #fsert сообщение диагностики: NULL_AFTER_DEREF jackson-databind MappingIterator.java
- [286556] #fsert сообщение диагностики: NULL_AFTER_DEREF VsdxReader.java
- [286530, 286546] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT HttpServer.java UNCHECKED_FUNC_RES.STAT SchemeObject.java
- [286528] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT GenerateFieldValue.java
- [286527] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT FieldValueGenerator.java BatchInsertEnginePGSQL.java
- [286520] #fsert сообщение диагностики: UNCHECKED_FUNC_RES.STAT DataReplicationApplyEngine.java
- [286477] #fsert сообщение диагностики: DEREF_OF_NULL.CONST jackson-databind ReferenceType.java
- [286535] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT agent/../content/OdgStyleGraphicsProperties.java
- [286551] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT agent/schemes/SvgWriter.java
- [286424] #fsert сообщение диагностики: DEREF_AFTER_NULL jackson-databind BasicDeserializerFactory.java
- [286432] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT jackson-databind DeserializationContext.java
- [286321] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT inform/agent/db/AbstractConnectionManager.java
- [286489] #fsert сообщение диагностики: NULL_AFTER_DEREF in jackson-databind TestTreeTraversingParser.java
- [286351] #fsert сообщение диагностики: DYNAMIC_OVERFLOW math3/linear/HessenbergTransformer.java
- [286434] #fsert сообщение диагностики: UNCHECKED_FUNC_RES.STAT DPeriodAdjust.java
- [285937] добавлены константы для пакета Metadata NODE_ ...
- [286314] добавлены недостающие константы пакета DataTypes
- [286065] в DSL настройки параметров onBeforeChange и onChange перенесены из datamodel в parametrs

--- 5.2.3040 --- 01.08.2025
- [280798] Схемы: импорт VSDX - IndexOutOfBoundsException при определении свойств темы
+ [286269] функция проверки произвольного dsl формы Debug.compileFormDsl
- [286273] отчеты: исправлена ошибка обращения к столбцу по индексу

--- 5.2.3039 --- 01.08.2025
- [286090] Отчеты pdf: исправлена ошибка формирования таблицы

--- 5.2.3038 --- 31.07.2025
- [286090] Отчеты pdf: исправлена ошибка формирования таблицы

--- 5.2.3037 --- 31.07.2025
- [285998] при смене пароля пользователя проверять имя пользователя, а также выдавать ошибку, если пароль пустой и на сервере запрещены пустые пароли
- [284227] Схемы: экспорт DXF - неправильно устанавливалась толщина линий
+ [282918] js: добавлен новый метод Metadata.getRuntimeNodeContent для получение dsl runtime контента
- [285941] dsl исправлена ошибка при загрузке стиля дизайна у радио-кнопки

--- 5.2.3036 --- 30.07.2025
- [285832] Отчеты: исправлена ошибка расчета актуального цвета ячейки таблицы

--- 5.2.3035 --- 29.07.2025
- [285870] dsl при формировании бинарного представления из текстового во многих контролах размеры становятся нулевыми
+ [284203] dsl rqGetNodeHistory будет возвращать дополнительный параметр - тип контента узла
- [285843] dsl исправлена ошибка, когда не все реализованные компоненты создавались в MtdForm

--- 5.2.3034 --- 28.07.2025
- [285725] Схемы: импорт VSD - добавлен вывод stacktrace при ошибках конвертации VSD в VSDX
- [285727] Схемы: импорт VSDX - Диаграммы: не импортировались названия таблиц
- [285785] Схемы: экспорт ODG - исправлен некорректный экспорт габаритов схемы
- [285614] Схемы: экспорт PDF - исправлен некорректный экспорт габаритов схемы
- [284225] Схемы: экспорт DXF - не всегда экспортировался текст
+ [285613] Схемы: импорт ODG - поддержка обрезанных изображений
+ [284205] dsl добавлен новый тип запроса rqGetRuntimeNodeContent для запроса контента исторических узлов

--- 5.2.3033 --- 24.07.2025
- [284224] Схемы: экспорт DXF - неправильный экспорт атрибутов для внешней ссылки на примитив
! [285581] #fsert восстановлена работоспособность при старте с http сервером, используя java 17
+ [284012] Схемы: импорт VSDX - примечания
+ [284774] Схемы: импорт VSDX - Диаграммы: разбор вложенного как XLS-файл OLE-объекта

--- 5.2.3032 --- 23.07.2025 (неудачная версия падает на java 17)
+ [285549] при передаче в метод FileSystem.createZipReader поля типа блоб-файл использовать файл, не его бинарное представление
! [285581] #fsert внесены изменения для поддержки работы на сертифицированной java от РФЯЦ-ВНИИЭФ
- [285441] dsl некорректно формируется dsl поля ввода для свойства variantKey
- [279805] Схемы: экспорт VSDX - исправлен некорректный экспорт графических вставок
- [284918] Пакет Excel: рефакторинг кода при чтении больших xlsx-файлов

--- 5.2.3031 --- 16.07.2025
- [284918] Пакет Excel: RecordFormatException при чтении больших xlsx-файлов
- [284557] wasm: Конкретизировано сообщение об ошибке при попытке авторизоваться пользователем Active Directory, используя аргумент no_ad
- [284557] wasm: При обновлении страницы после неудачной авторизации Active Directory больше не показывается сообщение с логом вызванных функций
+ [284443] dsl объектное представление контрола формы Диаграмма
- [283625] dsl исправлена ошибка при загрузке настройки точки актуальности
- [283626] dsl ошибка при загрузке компонента фильтр данных
! [284905] Отчеты: исправлена работа с объединенными ячейками при формировании отчета в DOCX
- [285112] dsl исправлена ошибка при загрузке серии диаграм
- [285114] dsl исправлен неожиданный конец данных при загрузки формата опций диаграм

--- 5.2.3030 --- 07.07.2025
- [284399] исправлена диагностика длительных запросов к субд - в редких случаях в лог ошибочно писалось что запрос дительный и указывалось слишком большое время выполнения
! [282934] Отчеты: оптимизация памяти при генерации отчетов

--- 5.2.3023 --- 02.07.2025
- [284352] Схемы: экспорт VSDX - исправлена ошибка при которой схема может перестать открываться после экспорта
+ [284013] Схемы: экспорт VSDX - поддержка экспорта примечаний
- [284221] Схемы: экспорт PDF - исправлен некорректный экспорт схем с разметкой
- [282609, 282610] dsl загрузка текстового представления в объектное DDbfReader.fieldsArr, DDatalocator.refFieldsArr
- [282611] dsl загрузка текстового представления в объектное DDbfReader.fieldsArr

--- 5.2.3022 --- 25.06.2025
- при формировании sql расширеноого поиска в секции order by формировать выражения только с полями, в остальных случаях по индексу поля
- [284140, 284211] при загрузке пекс и репликациях не учитывать часовой пояс, если в сервере не настроен часовой пояс
- [284036] Схемы: экспорт ODG - исправлен некорректный экспорт толщины линии
- [284001] Схемы: экспорт ODG - экспорт крупногабаритных схем
- [283997] Схемы: экспорт PDF - экспорт крупногабаритных схем
- [284004] Схемы: экспорт PDF - обработка глифов, отсутствующих в шрифте
- [283404] Схемы: экспорт PDF - экспорт страниц работает аналогично Visio
- [283781] репликация с учетом текстового представления
- [283623] Схемы: Экспорт DWG/DXF
           - Добавлена запись свойства «$DWGCODEPAGE» в DXF-файл.
- [282887] Схемы: экспорт VSD - вывод сообщения о невозможности использования MS Visio 2007 и ранее
+ [283777] формирование и загрузка pex с учетом текстового представления, выдавать ошибки еслм версии сервера или клиента не подходящие

--- 5.2.3021 --- 18.06.2025
- [283988] Схемы: экспорт VSDX - исправлен экспорт текста для группы объектов
- при преобразоании обектного представления формы в бинарное вседа сохранять вид окна
- [283642] Схемы: импорт VSDX - оптимизирован вывод сообщений по ошибкам соединения фигур

--- 5.2.3020 --- 17.06.2025
- [283756] dsl ошибка при задании сортировки источника в текстовом представлении
- [283624] Схемы: импорт VSDX - скорректирован импорт размеров отступов страницы
- [283642] Схемы: импорт VSDX - скорректирован вывод сообщений по ошибкам соединения фигур с направляющими
+ [283599] в pha.conf для ldap.auth.password_file=file и в db.conf для password_file=file вместо параметра password
+ [283601] В web-запросах свойство request.location

--- 5.2.3019 --- 11.06.2025
+ [283601] В web-запросах теперь redirect учитывает заголовок X-Asmo-Web-Root

--- 5.2.3018 --- 09.06.2025
- [283488] Схемы: экспорт PDF/SVG - IndexOutOfBoundsException при экспорте схемы
- [283456] Схемы: экспорт PDF - исправлен некорректный экспорт пересечения линий

--- 5.2.3017 --- 05.06.2025
- [282832] Пакет Spreadsheets: исправлена ошибка #ЗНАЧ!, которая могла возникать в отчетах, содержащих формулы
- [283399] dsl ошибка при создании источника наработки

--- 5.2.3016 --- 05.06.2025
- [283397] dsl ошибка загрузки объектного представления некоторых старых форм
- [278500] Схемы: экспорт VSDX - исправлен экспорт размеров стрелок при наличии масштаба у страницы
+ [266742] Схемы: экспорт VSDX - поддержка обрезки изображений
- [283375] Схемы: экспорт ODG - исправлен некорректный экспорт графических вставок

--- 5.2.3015 --- 03.06.2025
- [276744] Схемы: экспорт VSDX - исправлена ошибка некорректной передачи цвета части атрибутов
- [280814] возможность задать несколько минимальных версий - для каждой старшей версии можно задать свою минимальную версию --minclient "5.2.1000,6.500"

--- 5.2.3014 --- 30.05.2025
+ [276686] #re возможность получать записи и сохранять в данных юнискодные символы в неюникодных полях

--- 5.2.3013 --- 28.05.2025
- [271798] отчеты: убрана привязка элементов отчетов к скриптам на сервере

--- 5.2.3012 --- 28.05.2025
+ новые иконки
- [279888] ошибка неверный размер тега при загрузке объектного предсталения параметров формы привязанного к параметру
- [282890] Схемы: экспорт SVG - доработан алгоритм экспорта стрелок
- [282684] Схемы: экспорт PDF - доработан алгоритм экспорта стрелок
+ диагностика invalid tag size

--- 5.2.3011 --- 27.05.2025
- [282734] не передавть атрибуты ldap, которые не преставимы в json

--- 5.2.3010 --- 26.05.2025
- [276686] не приходят некоторые атрибуты LDAP
- [282735] Отчеты xlsx: исправлена ошибка генерации отчета с ячейками большой ширины

--- 5.2.3009 --- 23.05.2025
- [282773] Исправлен ошибочный сброс постоянной сесии при закрытии клиентом браузера
- [282434] Схемы: экспорт PDF - доработан экспорт параграфов форм. текстов
- [282433] Схемы: экспорт SVG - доработан экспорт параграфов форм. текстов

--- 5.2.3008 --- 21.05.2025
+ [280193] прототип преобразования dsl -> bin
- [282430] Схемы: экспорт ODG - доработан экспорт параграфов форм. текстов

--- 5.2.3007 --- 20.05.2025
+ новые иконки
- [282588] Схемы: экспорт PDF - исправлен некорректный экспорт габаритов страницы
- [282592] Схемы: импорт VSDX - AssertionError при импорте контейнеров
- [282590] Схемы: экспорт VSDX - доработан экспорт параграфов форм. текстов
- [281535] Схемы: экспорт VSDX - скорректирован экспорт текста фигур

--- 5.2.3006 --- 15.05.2025
- [281164] Схемы: экспорт ODG - исправлены ошибки при экспорте библиотеки в схему
- [282338] Исправления записей в лог о постоянных wasm-сессиях:
           - Добавлено сообщение при старте сервера использованием постоянных wasm-сессий
           - Убрана ошибочная запись в лог о неизвестном теге при инициализации постоянной сессии

--- 5.2.3005 --- 13.05.2025
- [282307] некорретно передаются параметры дробного при формировании sql ограничивающего поиска из бочки
- [282299] при преобразовваении бинарного представдения в dsl экранировать символы в строковых значениях, если в них содержится нулевой символ

--- 5.2.3004 --- 13.05.2025
- [264278] invalid tag size при репликации временных данных

--- 5.2.3003 --- 12.05.2025
+ [187524] Схемы: импорт VSDX - скругленные углы фигур
- [281899] иправлены ошибки в текстовом представлении
+ [281220] запрос rqSetDslNodeContent
- [281536] Схемы: экспорт VSDX - экспорт непривязанной соединительной линии
- [273295] Исправлена кодировка текста при запуске с аргументом --help на Linux
+ [281722] Схемы: импорт VSDX - импорт текста фигур
+ [279371] Схемы: добавлена поддержка генераторов значений полей таблицы для случая изменения содержимого схемы
! [279721] Добавлена возможность использовать постоянные сессии wasm-клиентов (без необходимости повторного ввода пароля после закрытия вкладки)
- [281223] Отключена проверка наличия директории для доверенных jwt-ключей, когда в конфигурации отсутствуют jwt-ключи
+ новые иконки
+ DSL minor fix

--- 5.2.3002 --- 30.04.2025
- [264278] не использовать клиентский часовой пояс, если в узле сервер не настрон часовой пояс серевера
+ [280030] Пакет Graphics: js-функция "convertAvesTo"

--- 5.2.3001 --- 28.04.2025
- [281485] некорретно возвращаются временные данные сервером с поддержнкой временных зон на клиент, который не передаёт свою зону
+ [281229] доработка запросов для работы с текстовым предсавлением узлов rqGetNodeContent, rqGetTranslatedNodeContent, rqGetNodeContentIfModified, rqGetNodeContentVersion, rqGetHistoryItem, rqGetMultipleNodeContents, rqGetDesignNodeContent, rqGetDSLPresentation
- [264278] некрректный sql при получении списка запланированных заданий
+ новые иконки, обновление иконок

--- 5.2.3000 --- 25.04.2025
! [264278] возможность задавать часовой пояс, в котором хранятся данные со временем в СУБД
! [281163] поле dsl-представление в таблице узлов метаданных и истории метаданных, кеш dsl-контентов узлов
+ обновление иконок

--- 5.2.2117 --- 23.04.2025
+ новая иконка 1092 Диаграмма Ганта
+ [281097] запрос GetDSLPresentation
+ [280576] объектное представление компонента Диаграмма Ганта

--- 5.2.2116 --- 21.04.2025
- [280824] Схемы: экспорт VSDX - AssertionError при анализе геометрии
+ [280808] v6 пототип dsl представления

--- 5.2.2115 --- 17.04.2025
+ новые иконки
+ [280808] v6 пототип dsl представления

--- 5.2.2114 --- 16.04.2025
- [280806] Схемы: импорт ODG - NullPointerException при импорте схемы
+ [280690] v6 сохранение объектного представления модели данных jop -> bin
+ [203529] Схемы: экспорт VSDX - текст для фигур
- [275452] Схемы: импорт VSDX - для фигур установлен приоритет свойств заданного стиля перед свойствами мастера
- [279883] Схемы: импорт VSDX - скорректирован импорт текста
+ новые иконки

--- 5.2.2113 --- 09.04.2025
- [280496] Схемы: экспорт PDF - исправлен некорректный экспорт многосекционных фигур, содержащих градиентную заливку
- [279883] Схемы: импорт VSDX - скорректирован анализ формул геометрии при импорте из формата VSD
+ [280334] преобразование bin -> текст
+ исправлены иконки

--- 5.2.2112 --- 07.04.2025
- [279883] Схемы: импорт VSDX - не импортировался цвет фона текста
+ [280334] преобразование bin -> текст
